Bug 93578 - [SKL] failed to train DP when connected with DA200 adapter
Summary: [SKL] failed to train DP when connected with DA200 adapter
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
: 94567 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-01-04 16:29 UTC by Mário Antunes
Modified: 2017-09-18 09:03 UTC (History)
46 users (show)

See Also:
i915 platform: SKL
i915 features: display/DP, display/USB-C


Attachments
dmesg log when I start the system with a external monitor connected. (182.32 KB, text/plain)
2016-01-04 16:29 UTC, Mário Antunes
no flags Details
XPS 13 9350 + DA200 adapter: full dmesg with drm.debug=14 (121.57 KB, text/plain)
2016-02-07 12:10 UTC, Igor Krivenko
no flags Details
dmesg output - kernel crash after plug-in DA200 (6.93 KB, text/plain)
2016-02-17 12:00 UTC, Oliver Deppert
no flags Details
xrandr @ 30Hz (1.39 KB, text/plain)
2016-02-17 12:00 UTC, Oliver Deppert
no flags Details
xrandr @ 60Hz (1.39 KB, text/plain)
2016-02-17 12:01 UTC, Oliver Deppert
no flags Details
xfce settings @ 30Hz (72.04 KB, image/png)
2016-02-17 12:01 UTC, Oliver Deppert
no flags Details
xfce settings @ 60Hz (72.85 KB, image/png)
2016-02-17 12:02 UTC, Oliver Deppert
no flags Details
dmesg/drm-nightly - blank monitor 1920x1200@60Hz (32.65 KB, text/plain)
2016-02-29 14:43 UTC, PJ
no flags Details
attachment-15627-0.html (1.52 KB, text/html)
2016-05-24 15:39 UTC, Joel Franco
no flags Details
attachment-10353-0.html (2.10 KB, text/html)
2016-05-27 21:47 UTC, Joel Franco
no flags Details
dmesg drm.debug=0xe from drm-intel-nightly 4.9.0-rc8+ before plugging da200 (138.54 KB, text/x-log)
2016-12-12 11:32 UTC, Mads
no flags Details
dmesg drm.debug=0xe from drm-intel-nightly 4.9.0-rc8+ after plugging da200 and setting 1920x1080 (43.54 KB, text/x-log)
2016-12-12 11:35 UTC, Mads
no flags Details
Kernel log from monitor plug/unplug hang with Intel GPU in use (52.39 KB, text/plain)
2017-02-03 22:50 UTC, smz
no flags Details
Kernel log from monitor plug/unplug hang with nVidia GPU in use (27.03 KB, text/plain)
2017-02-03 22:50 UTC, smz
no flags Details
attachment-28966-0.html (2.02 KB, text/html)
2017-03-28 13:55 UTC, Rien Heuver
no flags Details
attachment-31548-0.html (3.14 KB, text/html)
2017-03-29 17:55 UTC, Lev Popov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mário Antunes 2016-01-04 16:29:03 UTC
Created attachment 120796 [details]
dmesg log when I start the system with a external monitor connected.

Dear all, I have a dell XPS 13 9350, with a external bus DA200. This adapter connects to the USB-C port and provides HDMI, VGA, 1x USB 3 and Ethernet. The usb port and the Ethernet are working correctly. However I am unable to connect a external monitor.

I am using Slackware64-current with the latest 4.4 kernel (rc8).
The dmesg log points to drm intel drivers as the culprit:

[    4.526617]  [<ffffffffc02d3c4a>] skl_update_other_pipe_wm+0x1ba/0x1c0 [i915]
[    4.526628]  [<ffffffffc02d3e81>] skl_update_wm+0x231/0x720 [i915]
[    4.526642]  [<ffffffffc02d82ee>] intel_update_watermarks+0x1e/0x30 [i915]
[    4.526660]  [<ffffffffc033ed28>] haswell_crtc_enable+0x378/0x860 [i915]
[    4.526677]  [<ffffffffc033a9f5>] intel_atomic_commit+0x475/0x13c0 [i915]
[    4.526702]  [<ffffffffc0351bde>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
[    4.671697] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[    5.072287] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR* failed to train DP, aborting
[    5.488287] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR* failed to train DP, aborting
[    5.904336] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR* failed to train DP, aborting
Comment 1 Mário Antunes 2016-01-04 17:39:35 UTC
Another bit of information that can be useful to understand the problem.
After i connect the HDMI cable xrandr provides this output

xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
eDP1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 294mm x 165mm
   1920x1080     59.93*+
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.00  
   800x600       60.32    56.25  
   640x480       59.94  
DP1 connected (normal left inverted right x axis y axis)
   1920x1080     60.00 +  50.00    59.94  
   1680x1050     59.88  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1440x900      59.90  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00    50.00    59.94  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94  
   720x400       70.08  
HDMI1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)

The external monitor is connected to the HDMI port and not to a display port.
If I try to activate the DP1 output the system freezes, if I unplug the external monitor goes back to normal. however, when I run xrandr, this is the output:

bash-4.3# xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
eDP1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 294mm x 165mm
   1920x1080     59.93*+
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.00  
   800x600       60.32    56.25  
   640x480       59.94  
DP1 disconnected 1920x1080+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
HDMI1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
  1920x1080 (0xdd) 148.500MHz
        h: width  1920 start 2008 end 2052 total 2200 skew    0 clock  67.50KHz
        v: height 1080 start 1084 end 1089 total 1125           clock  60.00Hz

It appears that a HDMI2 monitor was unplugged. Finally, a VGA monitor is not detected. The USB-C adapter has a VGA port, but xrandr does not announces any VGA output.
Comment 2 peter.wood 2016-01-21 05:11:23 UTC
I have the same issue, using the same hardware. I am running Arch Linux with the latest mainline kernel (4.4.0). I am happy to help with debugging and testing.
Comment 3 John McCorquodale 2016-01-22 17:59:17 UTC
Same error here, black screen.  It's a Dell UP2414Q which is a 2-tile DP1.2 MTS device, i7-6700K.  The UP2414Q is known to be finicky about sinking; this is an A01 rev of that display, which has fewer problems in that regard than the highly 
dubious A00 rev (i.e. I don't think we can immediately blame the display).  Works okay (at least once) in non-MTS DP1.1 mode as a single 3840x2160 30Hz device.  Happy to be somebody's debug minion; feel free to contact me directly.

---xrandr---

P1-8 connected 1920x2160+0+0 (normal left inverted right x axis y axis) 527mm x 296mm
   1920x2160     59.99*+
DP1-9 connected 1920x2160+0+0 (normal left inverted right x axis y axis) 527mm x 296mm
   1920x2160     59.99*+
   1920x1200     59.88  
   1920x1080     60.00  
   ...

---dmesg---

[  163.467351] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR*
failed to train DP, aborting
[  163.606349] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR*
failed to train DP, aborting
[  163.719993] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR*
failed to train DP, aborting
[  163.784642] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ddi_pl
l_sel (expected 0x00000000, found 0x00000001)
[  163.784647] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in shared
_dpll (expected -1, found 0)
[  163.784651] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in dpll_h
w_state.ctrl1 (expected 0x00000000, found 0x00000003)
[  163.784654] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in base.a
djusted_mode.crtc_clock (expected 277250, found 138624)
[  163.784658] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in port_c
lock (expected 540000, found 270000)
...
[several dump_stack]
...
[  167.475902] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR*
Comment 4 peter.wood 2016-01-23 18:05:29 UTC
Just as an update which might help narrow down the problem.
After I upgraded Bios yesterday, VGA input from the USB-C adapter now shows up as DP1.
I am also able to activate external monitor through VGA at 1920x1080.
Still no connection / system freeze if I try to connect via HDMI port.
My external monitor is a 4K monitor (native resolution 3400 x 2160). I think I read somewhere that the adapter (DA200) only supports 2400x1200 ( a lower resolution, anyway). I also read somewhere that the DRM training is implemented so that it probes for higher resolutions first and then goes down. If the Monitor reports that it is able to support a higher resolution than what the adapter can actually support, this might cause the system to hang.
So, unless the code is altered, the only solution seems to be to use a USB-C adapter/dock which is actually able to support the highest resolution the external monitor can display.
My xrandr output with the external monitor connected via VGA(it shows as DP1):
Screen 0: minimum 8 x 8, current 3520 x 1080, maximum 32767 x 32767
eDP1 connected 1600x900+1920+0 (normal left inverted right x axis y axis) 294mm x 165mm
   3200x1800     59.98*+  47.99
   2880x1620     60.00
   2560x1440     60.00
   2048x1536     60.00
   1920x1440     60.00
   1856x1392     60.01
   1792x1344     60.01
   2048x1152     60.00
   1920x1080     60.00
   1600x1200     60.00
   1400x1050     59.98
   1600x900      60.00
   1280x1024     60.02
   1280x960      60.00
   1368x768      60.00
   1280x720      60.00
   1024x768      60.00
   1024x576      60.00
   960x540       60.00
   800x600       60.32    56.25
   864x486       60.00
   640x480       59.94
   720x405       60.00
   640x360       60.00
DP1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 878mm x 485mm
   1920x1080     60.00*+
   1680x1050     59.95
   1280x1024     75.02    60.02
   1440x900      74.98    59.89
   1280x960      60.00
   1280x720      60.00
   1024x768      75.08    60.00
   800x600       75.00    60.32
   640x480       75.00    72.81    66.67    60.00
   720x400       70.08
DP2 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
Comment 5 Igor Krivenko 2016-01-28 00:10:40 UTC
I can confirm this (or a similar?) issue with my Dell XPS 13 9350 laptop and a USB-C adapter DA200.

With the latest BIOS update, USB, Ethernet and VGA ports on the adapter work like a charm. A FullHD external monitor connected via HDMI cannot detect input signal. It is remarkable that the same monitor connected to the same laptop through another USB-C-to-HDMI adapter (Cable Matters) works properly.

Here is a fragment of dmesg (Gentoo, the latest kernel 4.4.0):

[ 2084.708909] [drm:intel_dp_link_training_channel_equalization [i915]] *ERROR* 5.4 Gbps link rate without HBR2/TPS3 support
[ 2084.721795] ------------[ cut here ]------------
[ 2084.721803] WARNING: CPU: 3 PID: 1917 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x1bd/0x1d0 [i915]()
[ 2084.721804] WARN_ON(!wm_changed)
[ 2084.721805] Modules linked in:
[ 2084.721806]  cmac rfcomm bnep btusb i915 btbcm btintel bluetooth dcdbas x86_pkg_temp_thermal kvm_intel kvm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 r8152 videobuf2_core mii irqbypass brcmfmac input_leds led_class brcmutil intel_gtt efivarfs
[ 2084.721818] CPU: 3 PID: 1917 Comm: X Tainted: G        W       4.4.0-gentoo-r1 #12
[ 2084.721819] Hardware name: Dell Inc. XPS 13 9350/0PWNCR, BIOS 1.1.9 12/18/2015
[ 2084.721820]  ffffffffc03f0bc0 ffff88006815f788 ffffffff812a0a69 ffff88006815f7d0
[ 2084.721822]  ffff88006815f7c0 ffffffff81058958 ffff8802759c1000 ffff88006815f8ec
[ 2084.721823]  ffff8802759c4000 0000000000000000 ffff88006815f858 ffff88006815f820
[ 2084.721825] Call Trace:
[ 2084.721829]  [<ffffffff812a0a69>] dump_stack+0x4b/0x72
[ 2084.721831]  [<ffffffff81058958>] warn_slowpath_common+0x78/0xb0
[ 2084.721833]  [<ffffffff810589d7>] warn_slowpath_fmt+0x47/0x50
[ 2084.721836]  [<ffffffff81070000>] ? task_active_pid_ns+0x10/0x30
[ 2084.721853]  [<ffffffffc034587d>] skl_update_other_pipe_wm+0x1bd/0x1d0 [i915]
[ 2084.721857]  [<ffffffffc0345aa4>] skl_update_wm+0x214/0x710 [i915]
[ 2084.721860]  [<ffffffff8108da90>] ? wake_atomic_t_function+0x60/0x60
[ 2084.721865]  [<ffffffffc0349d99>] intel_update_watermarks+0x19/0x20 [i915]
[ 2084.721872]  [<ffffffffc039d7cb>] haswell_crtc_enable+0x36b/0x860 [i915]
[ 2084.721879]  [<ffffffffc039951f>] intel_atomic_commit+0x46f/0x13b0 [i915]
[ 2084.721886]  [<ffffffff813847b9>] ? drm_atomic_check_only+0x189/0x580
[ 2084.721887]  [<ffffffff8138409b>] ? drm_atomic_set_crtc_for_connector+0x1b/0x80
[ 2084.721889]  [<ffffffff81384be2>] drm_atomic_commit+0x32/0x50
[ 2084.721900]  [<ffffffff813643a1>] drm_atomic_helper_set_config+0x71/0xb0
[ 2084.721902]  [<ffffffff8137569d>] drm_mode_set_config_internal+0x5d/0xf0
[ 2084.721904]  [<ffffffff81379949>] drm_mode_setcrtc+0x3b9/0x4d0
[ 2084.721906]  [<ffffffff8136c0fd>] drm_ioctl+0x14d/0x530
[ 2084.721907]  [<ffffffff81379590>] ? drm_mode_setplane+0x1a0/0x1a0
[ 2084.721910]  [<ffffffff8124f1c7>] ? selinux_file_ioctl+0xf7/0x1c0
[ 2084.721912]  [<ffffffff811547f3>] do_vfs_ioctl+0x283/0x460
[ 2084.721914]  [<ffffffff81246dfe>] ? security_file_ioctl+0x3e/0x60
[ 2084.721915]  [<ffffffff81154a44>] SyS_ioctl+0x74/0x80
[ 2084.721917]  [<ffffffff810f5be8>] ? context_tracking_enter+0x18/0x20
[ 2084.721920]  [<ffffffff81667bdb>] entry_SYSCALL_64_fastpath+0x16/0x6e
[ 2084.721921] ---[ end trace 06dab2c20a0a06d0 ]---

Maybe, this issue has something to do with 92932.
Comment 6 Ander Conselvan de Oliveira 2016-02-03 14:41:35 UTC
Could you add drm.debug=14 to your kernel command line and reattach dmesg all the way from boot?
Comment 7 Igor Krivenko 2016-02-07 12:10:14 UTC
Created attachment 121569 [details]
XPS 13 9350 + DA200 adapter: full dmesg with drm.debug=14

Please find attached a full dmesg output with DA200 attached to a USB-C connector of XPS 13 9350 (drm.debug=14).

OS: Gentoo Linux, kernel 4.4.1
Comment 8 Oliver Deppert 2016-02-17 11:59:31 UTC
Hi all,

same problem here. I have a Dell XPS 15 9550 (late 2015 model, latest Feb 2016 bios version). Gentoo system with kernel 4.4.0-gentoo-r1. Currently I'm using the iGPU config, so no "optimus" for the dCPU nvidia. Just the i915 kernel driver with modesetting.

I have attached one HDMI monitor directly to the notebook (works), the second one is connected via HDMI over USB-C/Thunderbolt adapter Dell DA200 (doesn't work).

The second monitor is detected correctly, but as soon as I plug in the monitor I got a lot of kernel messages (see attachment). 

So, while switching between different resolutions in XFCE monitor settings, sometimes the second external HDMI monitor comes to life. e.g. 1024x768 works and shows an image. 1920x1080 (the native resolution of the screen) doesn't work. But with 1920x1080@30Hz it again shows up a screen, flickering but at least showing something....same resolution but with 60Hz doesn't work.

I have attached the output of xrandr output for the "working" setup of 1920x1080@30Hz as well as for non-working 1920x1080@60Hz....unfortunatelly, both show the same "settings"...no difference at all. Additionally, the screenshot of the xfce screen setiings are attached...

with kind regards,
Oliver Deppert
Comment 9 Oliver Deppert 2016-02-17 12:00:14 UTC
Created attachment 121803 [details]
dmesg output - kernel crash after plug-in DA200
Comment 10 Oliver Deppert 2016-02-17 12:00:54 UTC
Created attachment 121804 [details]
xrandr @ 30Hz
Comment 11 Oliver Deppert 2016-02-17 12:01:19 UTC
Created attachment 121805 [details]
xrandr @ 60Hz
Comment 12 Oliver Deppert 2016-02-17 12:01:54 UTC
Created attachment 121806 [details]
xfce settings @ 30Hz
Comment 13 Oliver Deppert 2016-02-17 12:02:19 UTC
Created attachment 121807 [details]
xfce settings @ 60Hz
Comment 14 Oliver Deppert 2016-02-17 16:14:49 UTC
Hi all,

some updates...In my opinion, the kernel crashes are not related to the HDMI port of the DLA200...I can reproduce the same kernel errors/crashes while a VGA monitor is attached to it.

The error/crash only occurs if a monitor is started/initialized. e.g. just connecting a DLA200 with monitors attached to USB-C doesn't produce the kernel crash.

As soon as the monitor is initialized, e.g. by display settings of XFCE the kernel crashes and leads to the following dmesg (here with VGA port):

[  402.077936] ------------[ cut here ]------------
[  402.077941] WARNING: CPU: 0 PID: 4081 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x168/0x170()
[  402.077942] WARN_ON(!wm_changed)
[  402.077943] Modules linked in:
[  402.077943]  hid_roccat_koneplus hid_roccat hid_roccat_common fuse snd_usb_audio snd_usbmidi_lib snd_rawmidi uinput uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev kvm_intel kvm irqbypass
[  402.077950] CPU: 0 PID: 4081 Comm: X Tainted: G        W       4.4.0-gentoo-r1 #21
[  402.077951] Hardware name: Dell Inc. XPS 15 9550/0N7TVV, BIOS 01.01.19 01/25/2016
[  402.077952]  ffffffff81abf5f0 ffffffff81378883 ffff8804abdab850 ffffffff810867a7
[  402.077953]  ffff8804af2d6000 ffff8804abdab8a0 ffff8804af2e7000 0000000000000000
[  402.077954]  ffff8804ae51ab78 ffffffff81086827 ffffffff81af8724 ffff880400000020
[  402.077955] Call Trace:
[  402.077958]  [<ffffffff81378883>] ? dump_stack+0x40/0x5d
[  402.077960]  [<ffffffff810867a7>] ? warn_slowpath_common+0x77/0xb0
[  402.077961]  [<ffffffff81086827>] ? warn_slowpath_fmt+0x47/0x50
[  402.077962]  [<ffffffff81482588>] ? skl_update_other_pipe_wm+0x168/0x170
[  402.077964]  [<ffffffff8148276e>] ? skl_update_wm+0x1de/0x660
[  402.077965]  [<ffffffff814bcbb2>] ? gen9_read32+0x112/0x280
[  402.077966]  [<ffffffff814bd230>] ? gen9_write8+0x290/0x290
[  402.077968]  [<ffffffff814dfb29>] ? haswell_crtc_enable+0x369/0x880
[  402.077969]  [<ffffffff814db985>] ? intel_atomic_commit+0x365/0x1290
[  402.077971]  [<ffffffff8144b21f>] ? drm_atomic_helper_check_planes+0x12f/0x1a0
[  402.077972]  [<ffffffff8144cffd>] ? drm_atomic_helper_set_config+0x6d/0xa0
[  402.077974]  [<ffffffff8145d749>] ? drm_mode_set_config_internal+0x59/0xf0
[  402.077975]  [<ffffffff8146152d>] ? drm_mode_setcrtc+0x17d/0x4d0
[  402.077976]  [<ffffffff814547be>] ? drm_ioctl+0x10e/0x460
[  402.077977]  [<ffffffff814613b0>] ? drm_mode_setplane+0x1b0/0x1b0
[  402.077978]  [<ffffffff8116a9e1>] ? dput+0x21/0x1f0
[  402.077979]  [<ffffffff8116750f>] ? do_vfs_ioctl+0x2bf/0x490
[  402.077981]  [<ffffffff81155ea1>] ? vfs_write+0x151/0x180
[  402.077982]  [<ffffffff81167751>] ? SyS_ioctl+0x71/0x80
[  402.077983]  [<ffffffff818b56d7>] ? entry_SYSCALL_64_fastpath+0x12/0x6a
[  402.077984] ---[ end trace 6c5d166990af9294 ]---
[  402.077985] ------------[ cut here ]------------
[  402.077987] WARNING: CPU: 0 PID: 4081 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x168/0x170()
[  402.077987] WARN_ON(!wm_changed)
[  402.077987] Modules linked in:
[  402.077988]  hid_roccat_koneplus hid_roccat hid_roccat_common fuse snd_usb_audio snd_usbmidi_lib snd_rawmidi uinput uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev kvm_intel kvm irqbypass
[  402.077992] CPU: 0 PID: 4081 Comm: X Tainted: G        W       4.4.0-gentoo-r1 #21
[  402.077993] Hardware name: Dell Inc. XPS 15 9550/0N7TVV, BIOS 01.01.19 01/25/2016
[  402.077993]  ffffffff81abf5f0 ffffffff81378883 ffff8804abdab850 ffffffff810867a7
[  402.077994]  ffff8804af2e4000 ffff8804abdab8a0 ffff8804af2e7000 0000000000000000
[  402.077995]  ffff8804ae51ab78 ffffffff81086827 ffffffff81af8724 ffff880400000020
[  402.077996] Call Trace:
[  402.077997]  [<ffffffff81378883>] ? dump_stack+0x40/0x5d
[  402.077998]  [<ffffffff810867a7>] ? warn_slowpath_common+0x77/0xb0
[  402.077999]  [<ffffffff81086827>] ? warn_slowpath_fmt+0x47/0x50
[  402.078000]  [<ffffffff81482588>] ? skl_update_other_pipe_wm+0x168/0x170
[  402.078002]  [<ffffffff8148276e>] ? skl_update_wm+0x1de/0x660
[  402.078002]  [<ffffffff814bcbb2>] ? gen9_read32+0x112/0x280
[  402.078003]  [<ffffffff814bd230>] ? gen9_write8+0x290/0x290
[  402.078005]  [<ffffffff814dfb29>] ? haswell_crtc_enable+0x369/0x880
[  402.078006]  [<ffffffff814db985>] ? intel_atomic_commit+0x365/0x1290
[  402.078007]  [<ffffffff8144b21f>] ? drm_atomic_helper_check_planes+0x12f/0x1a0
[  402.078008]  [<ffffffff8144cffd>] ? drm_atomic_helper_set_config+0x6d/0xa0
[  402.078010]  [<ffffffff8145d749>] ? drm_mode_set_config_internal+0x59/0xf0
[  402.078011]  [<ffffffff8146152d>] ? drm_mode_setcrtc+0x17d/0x4d0
[  402.078011]  [<ffffffff814547be>] ? drm_ioctl+0x10e/0x460
[  402.078012]  [<ffffffff814613b0>] ? drm_mode_setplane+0x1b0/0x1b0
[  402.078013]  [<ffffffff8116a9e1>] ? dput+0x21/0x1f0
[  402.078014]  [<ffffffff8116750f>] ? do_vfs_ioctl+0x2bf/0x490
[  402.078015]  [<ffffffff81155ea1>] ? vfs_write+0x151/0x180
[  402.078016]  [<ffffffff81167751>] ? SyS_ioctl+0x71/0x80
[  402.078017]  [<ffffffff818b56d7>] ? entry_SYSCALL_64_fastpath+0x12/0x6a
[  402.078017] ---[ end trace 6c5d166990af9295 ]---
[  402.290190] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[  402.439199] [drm] GMBUS [i915 gmbus dpc] timed out, falling back to bit banging on pin 4

The internal HDMI port of the netbook seems to work without any kernel crash.

During boot phase with attached monitors to the DLA200 the kernel crashes immediately, cause framebuffer tries to initialize the attached monitors quite early.

regards,
Oliver
Comment 15 Oliver Deppert 2016-02-17 16:22:07 UTC
Hi,

just some additional test: Booting the notebook with a monitor attached to the "internal" HDMI port (DLA was detached) raises same kernel errors:

[    1.811830] ------------[ cut here ]------------
[    1.811834] WARNING: CPU: 0 PID: 42 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x168/0x170()
[    1.811834] WARN_ON(!wm_changed)
[    1.811835] Modules linked in:
[    1.811836] CPU: 0 PID: 42 Comm: kworker/0:1 Not tainted 4.4.0-gentoo-r1 #21
[    1.811836] Hardware name: Dell Inc. XPS 15 9550/0N7TVV, BIOS 01.01.19 01/25/2016
[    1.811838] Workqueue: events output_poll_execute
[    1.811839]  ffffffff81abf5f0 ffffffff81378883 ffff8804bdbf78b0 ffffffff810867a7
[    1.811840]  ffff8804af003000 ffff8804bdbf7900 ffff8804ae4dc000 0000000000000000
[    1.811841]  ffff8804ae56a378 ffffffff81086827 ffffffff81af8724 ffff880400000020
[    1.811841] Call Trace:
[    1.811843]  [<ffffffff81378883>] ? dump_stack+0x40/0x5d
[    1.811845]  [<ffffffff810867a7>] ? warn_slowpath_common+0x77/0xb0
[    1.811846]  [<ffffffff81086827>] ? warn_slowpath_fmt+0x47/0x50
[    1.811847]  [<ffffffff81482588>] ? skl_update_other_pipe_wm+0x168/0x170
[    1.811849]  [<ffffffff8148276e>] ? skl_update_wm+0x1de/0x660
[    1.811850]  [<ffffffff814bcbb2>] ? gen9_read32+0x112/0x280
[    1.811850]  [<ffffffff814bd230>] ? gen9_write8+0x290/0x290
[    1.811852]  [<ffffffff814dfb29>] ? haswell_crtc_enable+0x369/0x880
[    1.811853]  [<ffffffff814db985>] ? intel_atomic_commit+0x365/0x1290
[    1.811855]  [<ffffffff8144b21f>] ? drm_atomic_helper_check_planes+0x12f/0x1a0
[    1.811856]  [<ffffffff8146c03d>] ? drm_atomic_add_affected_connectors+0x1d/0xe0
[    1.811857]  [<ffffffff8144f5e0>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x270/0x2a0
[    1.811858]  [<ffffffff8144f634>] ? drm_fb_helper_set_par+0x24/0x50
[    1.811859]  [<ffffffff8144f327>] ? drm_fb_helper_hotplug_event+0x97/0xe0
[    1.811860]  [<ffffffff81444578>] ? output_poll_execute+0x188/0x1d0
[    1.811862]  [<ffffffff81099c85>] ? process_one_work+0x135/0x350
[    1.811863]  [<ffffffff8109a2e5>] ? worker_thread+0x45/0x430
[    1.811864]  [<ffffffff8109a2a0>] ? max_active_store+0x50/0x50
[    1.811865]  [<ffffffff8109e808>] ? kthread+0xb8/0xd0
[    1.811866]  [<ffffffff8109e750>] ? kthread_park+0x50/0x50
[    1.811868]  [<ffffffff818b5a1f>] ? ret_from_fork+0x3f/0x70
[    1.811869]  [<ffffffff8109e750>] ? kthread_park+0x50/0x50
[    1.811869] ---[ end trace 630fc1874be125e2 ]---
Comment 16 Nicolas Pöhlmann 2016-02-17 19:05:53 UTC
This bug isn't restricted to DP monitors or Dell systems, it also occurs running multi-monitor setups with HDMI output only and on multi-monitor setups with 1x DVI-HDMI + 1x HDMI. It happens also at least on systems with i7-6700 processors running latest 4.4.1 kernels.

It was introduced with the (new) Skylake processors. Running same monitors with Haswell processors is/was functioning without any problems.

It seems that there is an error initialising/detecting HDMI/DP monitors and hold this connection stable until first output is available.
As Oliver Deppert stated before it sometimes detecting the displays correctly and output will also be correctly shown. Booting with plugged in multi-monitor setup is functioning 99.9% in our cases, plug-in an additional monitor after system is running or reactivating the monitor after switching the input or if it was turned off only works in ~ 5-15%.
If we run xrandr often enough (sometimes > 25 times), output is recovered and second monitor becomes available. But to make it more worse, detecting the monitor with xrandr doesn't mean that it will output something on it, the connection to the screen can be immediately lost.

And last but not least, running xrandr in a row like "xrandr && xrandr && xrandr && xrandr && xrandr" seems to increase the chance of a successful monitor initialisation. Maybe the driver didn't wait long enough to abort initialisation or a needed value isn't activated/available on the first cycles.

kernel output on one of the systems:
------------------------------------------
[79265.106961] WARNING: CPU: 0 PID: 4025 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x1c2/0x1d0()
[79265.106964] WARN_ON(!wm_changed)
[79265.106967] Modules linked in:
[79265.106971]  vhost_net vhost macvtap macvlan xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat tun ebtable_filter ebtables ip6table_filter ip6_tables xt_physdev br_netfilter xt_recent xt_conntrack bnep bridge stp llc vfio_pci vfio_iommu_type1 vfio_virqfd vfio joydev cyberjack usbserial snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic e1000e r8169 ptp pps_core mii snd_hda_intel intel_rapl rc_tt_1500 iosf_mbi snd_hda_codec x86_pkg_temp_thermal intel_powerclamp snd_hda_core coretemp snd_pcm tda10048 hci_uart crct10dif_pclmul crc32_pclmul snd_timer crc32c_intel btbcm tda827x btqca snd btintel pcspkr serio_raw soundcore i2c_i801 shpchp bluetooth intel_lpss_pci i2c_hid tda10023 dvb_usb_ttusb2 dvb_usb intel_lpss_acpi intel_lpss mfd_core dvb_core
[79265.107090]  rc_core acpi_pad sch_fq_codel kvm_intel kvm irqbypass virtio_pci virtio_scsi virtio_blk virtio_net virtio_console virtio_balloon virtio_ring virtio sha512_generic scsi_transport_iscsi fuse ext2 multipath linear raid10 raid1 raid0 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx dm_crypt hid_sunplus hid_sony hid_samsung hid_pl hid_petalynx hid_gyration xhci_plat_hcd usb_storage scsi_transport_fc sx8 pdc_adma sata_inic162x sata_mv sata_qstor sata_vsc sata_uli sata_sis sata_sx4 sata_nv sata_via sata_svw sata_sil24 sata_sil sata_promise pata_sl82c105 pata_via pata_jmicron pata_marvell pata_sis pata_netcell pata_pdc202xx_old pata_triflex pata_atiixp pata_opti pata_amd pata_ali pata_it8213 pata_ns87415 pata_ns87410 pata_serverworks pata_cypress pata_oldpiix pata_artop
[79265.107186]  pata_it821x pata_optidma pata_hpt3x2n pata_hpt3x3 pata_hpt37x pata_hpt366 pata_cmd64x pata_efar pata_sil680 pata_pdc2027x pata_mpiix xhci_pci xhci_hcd radeon ttm
[79265.107211] CPU: 0 PID: 4025 Comm: Xorg Tainted: G        W       4.4.1-gentoo #1
[79265.107214] Hardware name: MSI MS-7982/H170M PRO-DH (MS-7982), BIOS 2.30 09/10/2015
[79265.107218]  ffffffff81aa86f8 ffff8804364e3800 ffffffff813be9ff ffff8804364e3848
[79265.107230]  ffff8804364e3838 ffffffff8107ac32 ffff88046be84000 ffff8804364e3964
[79265.107236]  ffff88046be83000 0000000000000000 ffff8804364e38d0 ffff8804364e3898
[79265.107242] Call Trace:
[79265.107252]  [<ffffffff813be9ff>] dump_stack+0x44/0x55
[79265.107260]  [<ffffffff8107ac32>] warn_slowpath_common+0x82/0xc0
[79265.107269]  [<ffffffff8107acbc>] warn_slowpath_fmt+0x4c/0x50
[79265.107274]  [<ffffffff81511532>] skl_update_other_pipe_wm+0x1c2/0x1d0
[79265.107281]  [<ffffffff81511759>] skl_update_wm+0x219/0x710
[79265.107289]  [<ffffffff8181fd3c>] ? __schedule+0x32c/0x8e0
[79265.107296]  [<ffffffff81515b4e>] intel_update_watermarks+0x1e/0x20
[79265.107303]  [<ffffffff815776a7>] intel_atomic_commit+0x3c7/0x13c0
[79265.107311]  [<ffffffff814fc71e>] ? drm_atomic_check_only+0x18e/0x590
[79265.107318]  [<ffffffff814fc52c>] ? drm_atomic_add_affected_connectors+0x8c/0xf0
[79265.107330]  [<ffffffff814fcb57>] drm_atomic_commit+0x37/0x60
[79265.107336]  [<ffffffff814d9dd6>] drm_atomic_helper_set_config+0x76/0xb0
[79265.107343]  [<ffffffff814ec382>] drm_mode_set_config_internal+0x62/0x100
[79265.107350]  [<ffffffff814f077e>] drm_mode_setcrtc+0x3be/0x4d0
[79265.107362]  [<ffffffff814e2332>] drm_ioctl+0x152/0x540
[79265.107369]  [<ffffffff814f03c0>] ? drm_mode_setplane+0x1b0/0x1b0
[79265.107378]  [<ffffffff810d71a7>] ? hrtimer_start_range_ns+0x197/0x320
[79265.107384]  [<ffffffff811d1cd8>] do_vfs_ioctl+0x288/0x460
[79265.107392]  [<ffffffff816f70f2>] ? __sys_recvmsg+0x62/0x80
[79265.107397]  [<ffffffff811d1f29>] SyS_ioctl+0x79/0x90
[79265.107403]  [<ffffffff81823db6>] entry_SYSCALL_64_fastpath+0x16/0x75
[79265.107408] ---[ end trace f3ab1078340cf992 ]---

xrandr without successful detection:
------------------------------------------
Screen 0: minimum 8 x 8, current 1920 x 1080, maximum 32767 x 32767
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 290mm
   1920x1080     60.00*+  50.00    59.94  
   1920x1080i    60.00    50.00    59.94  
   1680x1050     59.88  
   1400x1050     59.95  
   1600x900      60.00  
   1280x1024     60.02  
   1440x900      59.90  
   1280x800      59.91  
   1152x864      59.97  
   1280x720      60.00    50.00    59.94  
   1024x768      60.00  
   800x600       60.32  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       60.00    59.94  
VIRTUAL1 disconnected (normal left inverted right x axis y axis)

xrandr with successful detection (doesn't mean it could be initialized):
------------------------------------------
Screen 0: minimum 8 x 8, current 3840 x 1080, maximum 32767 x 32767
HDMI1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 531mm x 299mm
   1920x1080     59.93*+  60.00    50.00    59.94  
   1920x1080i    60.00    50.00    59.94  
   1680x1050     59.88  
   1280x1024     60.02  
   1280x960      60.00  
   1280x720      60.00    50.00    59.94  
   1024x768      60.00  
   800x600       60.32  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       60.00    59.94  
HDMI2 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 290mm
   1920x1080     60.00*+  50.00    59.94  
   1920x1080i    60.00    50.00    59.94  
   1680x1050     59.88  
   1400x1050     59.95  
   1600x900      60.00  
   1280x1024     60.02  
   1440x900      59.90  
   1280x800      59.91  
   1152x864      59.97  
   1280x720      60.00    50.00    59.94  
   1024x768      60.00  
   800x600       60.32  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       60.00    59.94  
VIRTUAL1 disconnected (normal left inverted right x axis y axis)

Output in journal after successful detection but unsuccessful initialization:
------------------------------------------
kernel: snd_hda_codec_hdmi hdaudioC0D2: HDMI: ELD buf size is 0, force 128
kernel: snd_hda_codec_hdmi hdaudioC0D2: HDMI: invalid ELD data byte 0
root[10198]: ACPI event unhandled: jack/lineout LINEOUT unplug
root[10200]: ACPI event unhandled: jack/videoout VIDEOOUT unplug
/usr/libexec/gdm-x-session[4026]: (II) intel(0): resizing framebuffer to 1920x1080

Output in journal after successful detection and successful initialization:
------------------------------------------
/usr/libexec/gdm-x-session[4026]: (II) intel(0): resizing framebuffer to 3840x1080
/usr/libexec/gdm-x-session[4026]: (II) intel(0): switch to mode 1920x1080@59.9 on HDMI1 using pipe 0, position (1920, 0), rotation normal, reflection none
root[10275]: ACPI event unhandled: jack/lineout LINEOUT unplug
root[10277]: ACPI event unhandled: jack/videoout VIDEOOUT unplug
root[10279]: ACPI event unhandled: jack/lineout LINEOUT plug
/usr/libexec/gdm-x-session[4026]: (II) intel(0): switch to mode 1920x1080@60.0 on HDMI2 using pipe 1, position (0, 0), rotation normal, reflection none
root[10281]: ACPI event unhandled: jack/videoout VIDEOOUT plug
root[10283]: ACPI event unhandled: jack/lineout LINEOUT plug
root[10285]: ACPI event unhandled: jack/videoout VIDEOOUT plug
Comment 17 PJ 2016-02-29 14:41:54 UTC
I think there are several things wrong, this is also related to https://bugzilla.kernel.org/show_bug.cgi?id=113121 afaics. I have similar problems, I played with various versions of kernel from 4.4.1 to intel-drm-nightly and for older kernels it often manifests as "ERROR 5.4Gbps rate without HBR2/TPS3 support" which is the closed bug https://bugs.freedesktop.org/show_bug.cgi?id=92932 where it was changed to just debug, which masks the issue but does not really solve it. On some kernel versions it shows as DP training failed, on some other it just blanks the display. I think there is something wrong in the way the i915 detects/setsup the DP link.

The DA200 is detected as not supporting TB3 but supporting the 5.4Ghz lane speed. What I find curious though is that i915 uses the 5.4Ghz link for my monitor at 1920x1200@60Hz (which kinda makes sense on single lane given the 154Mhz pixel clock) and so wants to use HBR2 but on windows and mac with same dongle I get the monitor running at 1920x1200@60Hz even when I disable HBR2 on the monitor. So I wondered if the DA200 actually has two 2.7Ghz lanes or something and tried to play with forcing the kernel module to use various bandwidths and number of lanes but without success. For now I can also only get resolutions that fit into single lane at 2.7Ghz (which is 1080i for example or 1080 at 30Hz) as reported by others.

I am attaching dmesg with KMS and DRIVER debug on from the drm-nightly as of 27th Feb. One thing to note about the latest nightly is that once I set the dispaly to some resolution which works and then try to set it to something which doesn't it freezes my computer (and there is no log that is not garbled so can't get the info about what happened much). With older versions it always just blanked the monitor when I was switching multiple times just like it does the first time with nigtly.
Comment 18 PJ 2016-02-29 14:43:33 UTC
Created attachment 122028 [details]
dmesg/drm-nightly - blank monitor 1920x1200@60Hz
Comment 19 Thomas Fankhauser 2016-03-07 09:13:18 UTC
I can reproduce this Bug with the exact same Hardware (XPS 9350 and DA200 Adapter) on Linux 4.4.3-1-ARCH.

After that I get the known skl Bug (https://bugs.freedesktop.org/show_bug.cgi?id=89055):
WARNING: CPU: 0 PID: 448 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x1e7/0x1f0 [i915]()
CPU: 0 PID: 448 Comm: Xorg Tainted: G        W       4.4.3-1-ARCH #1
Hardware name: Dell Inc. XPS 13 9350/0PWNCR, BIOS 1.2.3 01/08/2016
0000000000000286 000000005f8fc51e ffff880274eb37c8 ffffffff812cac81
ffff880274eb3810 ffffffffa01c8fc8 ffff880274eb3800 ffffffff810776e2
ffff880275129000 ffff880274eb3934 ffff88027512a000 0000000000000000
Call Trace:
[<ffffffff812cac81>] dump_stack+0x63/0x82
[<ffffffff810776e2>] warn_slowpath_common+0x82/0xc0
[<ffffffff8107777c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffffa00f9f47>] skl_update_other_pipe_wm+0x1e7/0x1f0 [i915]
[<ffffffffa00fa1aa>] skl_update_wm+0x25a/0x750 [i915]
[<ffffffff810e3130>] ? hrtimer_init+0x120/0x120
[<ffffffffa00fe4ee>] intel_update_watermarks+0x1e/0x30 [i915]
[<ffffffffa0163622>] intel_atomic_commit+0x462/0x1430 [i915]
[<ffffffffa00353ee>] ? drm_atomic_check_only+0x18e/0x590 [drm]
[<ffffffffa0035827>] drm_atomic_commit+0x37/0x60 [drm]
[<ffffffffa00a3fb6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
[<ffffffffa0023ef2>] drm_mode_set_config_internal+0x62/0x100 [drm]
[<ffffffffa0028de2>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
Comment 20 lesiehnie 2016-03-09 07:28:19 UTC
I can confirm this issue using the same hardware (Dell XPS 13 9350, Dell DA200) as already mentioned here.

Similar issues occur using the Dell WD15 Thunderbolt dock. While other interfaces (e.g. ethernet) are working, xrandr gives the unreliable output and the HDMI port is not working having the same issues as discussed here.
Comment 21 tranceash 2016-03-17 01:33:54 UTC
Has the latest 4.5 release fixed this issue or this still a problem as I am waiting for my WD15 usb type c dock and will test and provide more feedback
Comment 22 Oliver Deppert 2016-03-19 08:39:49 UTC
Hi,

unfortunately not...same problems with latest 4.5.0 kernel....output on DLA200 only possible with 30Hz; Kernel trace as soon as HDMI monitor is switched on

[  327.197593] ------------[ cut here ]------------
[  327.197599] WARNING: CPU: 0 PID: 4160 at drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0x103/0x110()
[  327.197600] WARN_ON(!wm_changed)
[  327.197601] Modules linked in:
[  327.197602]  fuse vboxnetadp(O) vboxnetflt(O) vboxdrv(O) uinput hid_roccat_koneplus hid_roccat hid_roccat_common kvm_intel kvm irqbypass uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videodev videobuf2_core nvidia(PO)
[  327.197620] CPU: 0 PID: 4160 Comm: X Tainted: P        W  O    4.5.0-gentoo #1
[  327.197622] Hardware name: Dell Inc. XPS 15 9550/0N7TVV, BIOS 01.01.19 01/25/2016
[  327.197623]  0000000000000000 ffffffff8137d8a9 ffff8804a1cf3a20 ffffffff81adc5a0
[  327.197625]  ffffffff81087f07 ffff8804af24d000 ffff8804a1cf3a70 ffff8804ae31995c
[  327.197627]  ffff8804ae2dfba8 ffff8804ae2a2000 ffffffff81087f87 ffffffff81ab80d6
[  327.197629] Call Trace:
[  327.197634]  [<ffffffff8137d8a9>] ? dump_stack+0x46/0x5d
[  327.197636]  [<ffffffff81087f07>] ? warn_slowpath_common+0x77/0xb0
[  327.197638]  [<ffffffff81087f87>] ? warn_slowpath_fmt+0x47/0x50
[  327.197640]  [<ffffffff814948c3>] ? skl_update_other_pipe_wm+0x103/0x110
[  327.197642]  [<ffffffff81494a09>] ? skl_update_wm+0x139/0x5c0
[  327.197645]  [<ffffffff8150eba9>] ? intel_ddi_enable_transcoder_func+0x169/0x230
[  327.197646]  [<ffffffff814f3e63>] ? haswell_crtc_enable+0x303/0x880
[  327.197648]  [<ffffffff814ef98e>] ? intel_atomic_commit+0x5de/0x1650
[  327.197651]  [<ffffffff8147dc9c>] ? drm_atomic_set_crtc_for_connector+0x4c/0xd0
[  327.197653]  [<ffffffff8145ef2d>] ? drm_atomic_helper_set_config+0x6d/0xa0
[  327.197655]  [<ffffffff8146f779>] ? drm_mode_set_config_internal+0x59/0xf0
[  327.197658]  [<ffffffff814738dd>] ? drm_mode_setcrtc+0x17d/0x4e0
[  327.197660]  [<ffffffff814667ae>] ? drm_ioctl+0x10e/0x460
[  327.197662]  [<ffffffff81473760>] ? drm_mode_setplane+0x1b0/0x1b0
[  327.197664]  [<ffffffff8116f6c4>] ? do_vfs_ioctl+0x84/0x590
[  327.197667]  [<ffffffff8115df11>] ? vfs_write+0x151/0x180
[  327.197669]  [<ffffffff8116fc41>] ? SyS_ioctl+0x71/0x80
[  327.197671]  [<ffffffff818b5997>] ? entry_SYSCALL_64_fastpath+0x12/0x6a
[  327.197680] ---[ end trace 3fa9d775dcbfdd15 ]---
[  329.661896] [drm:gen8_irq_handler] *ERROR* CPU pipe C FIFO underrun
Comment 23 lesiehnie 2016-03-28 18:09:25 UTC
(In reply to tranceash from comment #21)
> Has the latest 4.5 release fixed this issue or this still a problem as I am
> waiting for my WD15 usb type c dock and will test and provide more feedback

Both, the DA200 and the WD 15 are not working after applying the latest thunderbolt firmware update on my Dell XPS 13 9350, using the currently latest kernel 4.5.0. Neither the HDMI port nor the Displayport work for the WD 15.
Comment 24 tranceash 2016-03-29 01:45:24 UTC
Can you try the latest 4.6-rc1
Comment 25 tranceash 2016-03-29 04:49:36 UTC
Just confirmed 4.6-rc1 does not fix it kernel hangs
Comment 26 lesiehnie 2016-04-12 19:30:00 UTC
Neither the DA200 nor the WD 15 dock work with kernel 4.5.1, but the situation somehow (coincidently?) changed. I got a kernel OOOOPS but no system hangs. The display port worked with the WD15 at very low resolutions (eg. 1024x768). xrandr with the DA200 showed all possible screen resolutions via HDMI, but I wasn't able to get an image at the screen.

dmesg log WD15:
[  130.806010] [drm:intel_dp_link_training_clock_recovery [i915]] *ERROR* failed to get link status
[  130.873667] ------------[ cut here ]------------
[  130.873677] WARNING: CPU: 1 PID: 796 at drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0xb7/0xf3 [i915]()
[  130.873678] WARN_ON(!wm_changed)
[  130.873679] Modules linked in:
[  130.873680]  rfcomm bnep cpufreq_conservative cpufreq_userspace cpufreq_powersave cpufreq_stats snd_hda_codec_hdmi dell_led snd_hda_codec_realtek snd_hda_codec_generic snd_usb_audio snd_hwdep snd_usbmidi_lib snd_rawmidi snd_seq_device btusb btrtl cdc_ether usbnet hid_multitouch uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 usbhid videodev videobuf2_core r8152 mii dell_wmi coretemp intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul crct10dif_common crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 hwmon lrw gf128mul dell_laptop glue_helper ablk_helper cryptd pcspkr serio_raw nls_utf8 nls_cp437 vfat fat i2c_i801 snd_hda_intel snd_hda_codec snd_hda_core snd_pcm snd_timer snd soundcore brcmfmac brcmutil cfg80211 processor_thermal_device intel_lpss_pci
[  130.873707]  intel_soc_dts_iosf wmi battery i915 video hci_uart btbcm btqca btintel bluetooth rfkill intel_lpss_acpi intel_lpss int3403_thermal int340x_thermal_zone intel_hid sparse_keymap int3400_thermal acpi_thermal_rel acpi_pad ac tpm_tis tpm processor evdev fbcon bitblit softcursor font button i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm intel_agp intel_gtt agpgart ipv6 rtsx_pci_sdmmc mmc_core crc32c_intel psmouse rtsx_pci mfd_core xhci_pci xhci_hcd usbcore usb_common fan thermal i2c_hid hid i2c_core rtc_cmos
[  130.873729] CPU: 1 PID: 796 Comm: Xorg Not tainted 4.5.1 #205
[  130.873730] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[  130.873731]  0000000080000000 ffffffff8126c36b ffff88046774ba50 0000000000000009
[  130.873733]  ffffffff8103fb7b ffffffffa0405018 ffff88046c0dc000 ffff88046774baa8
[  130.873735]  ffff88046c23995c ffff88046c239960 ffffffff8103fbd3 ffffffffa04a1bf9
[  130.873736] Call Trace:
[  130.873740]  [<ffffffff8126c36b>] ? dump_stack+0x46/0x59
[  130.873743]  [<ffffffff8103fb7b>] ? warn_slowpath_common+0x89/0x9e
[  130.873750]  [<ffffffffa0405018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[  130.873751]  [<ffffffff8103fbd3>] ? warn_slowpath_fmt+0x43/0x4b
[  130.873757]  [<ffffffffa0405018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[  130.873764]  [<ffffffffa0405160>] ? skl_update_wm+0x10c/0x4fd [i915]
[  130.873767]  [<ffffffff81429e36>] ? _raw_write_unlock_irqrestore+0xf/0x20
[  130.873775]  [<ffffffffa046c320>] ? intel_ddi_enable_transcoder_func+0x1af/0x1bb [i915]
[  130.873785]  [<ffffffffa045476f>] ? haswell_crtc_enable+0x351/0x74c [i915]
[  130.873795]  [<ffffffffa0451cd9>] ? intel_atomic_commit+0x604/0x1118 [i915]
[  130.873800]  [<ffffffffa021ace1>] ? drm_atomic_check_only+0x273/0x52a [drm]
[  130.873803]  [<ffffffffa026cb03>] ? drm_atomic_helper_set_config+0x45/0x8c [drm_kms_helper]
[  130.873808]  [<ffffffffa020db23>] ? drm_mode_set_config_internal+0x50/0xd7 [drm]
[  130.873813]  [<ffffffffa0211cd1>] ? drm_mode_setcrtc+0x3a0/0x410 [drm]
[  130.873817]  [<ffffffffa02067fd>] ? drm_ioctl+0x225/0x353 [drm]
[  130.873822]  [<ffffffffa0211931>] ? drm_mode_setplane+0x160/0x160 [drm]
[  130.873824]  [<ffffffff811002f4>] ? __vfs_write+0x96/0xbe
[  130.873826]  [<ffffffff8110e59c>] ? vfs_ioctl+0x16/0x23
[  130.873828]  [<ffffffff8110eaba>] ? do_vfs_ioctl+0x49e/0x50e
[  130.873830]  [<ffffffff8105a6ad>] ? get_parent_ip+0x9/0x1b
[  130.873831]  [<ffffffff8104701d>] ? recalc_sigpending+0x11/0x3e
[  130.873832]  [<ffffffff81047895>] ? __set_task_blocked+0x5a/0x5e
[  130.873834]  [<ffffffff81116563>] ? __fget+0x6b/0x75
[  130.873836]  [<ffffffff8110eb63>] ? SyS_ioctl+0x39/0x55
[  130.873837]  [<ffffffff8142a25b>] ? entry_SYSCALL_64_fastpath+0x16/0x6a
[  130.873838] ---[ end trace b4915c96b8b1a80a ]---




dmesg log DA200
[    2.630230] ------------[ cut here ]------------
[    2.630304] WARNING: CPU: 0 PID: 69 at drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0xb7/0xf3 [i915]()
[    2.630312] WARN_ON(!wm_changed)
[    2.630365] Modules linked in: btusb hid_multitouch btrtl uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videodev videobuf2_core usbhid cdc_ether usbnet r8152 mii dell_wmi core
[    2.630391]  ac acpi_pad tpm_tis tpm processor evdev fbcon bitblit softcursor font button i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm intel_agp intel_gtt 
[    2.630396] CPU: 0 PID: 69 Comm: kworker/0:2 Not tainted 4.5.1 #205
[    2.630398] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.2.3 01/08/2016
[    2.630409] Workqueue: events output_poll_execute [drm_kms_helper]
[    2.630415]  0000000080000000 ffffffff8126c36b ffff88046d2f3aa8 0000000000000009
[    2.630419]  ffffffff8103fb7b ffffffffa0414018 ffff88046d976000 ffff88046d2f3b00
[    2.630422]  ffff88046c38995c ffff88046c389960 ffffffff8103fbd3 ffffffffa04b0bf9
[    2.630423] Call Trace:
[    2.630433]  [<ffffffff8126c36b>] ? dump_stack+0x46/0x59
[    2.630440]  [<ffffffff8103fb7b>] ? warn_slowpath_common+0x89/0x9e
[    2.630499]  [<ffffffffa0414018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[    2.630504]  [<ffffffff8103fbd3>] ? warn_slowpath_fmt+0x43/0x4b
[    2.630560]  [<ffffffffa0414018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[    2.630615]  [<ffffffffa0414160>] ? skl_update_wm+0x10c/0x4fd [i915]
[    2.630620]  [<ffffffff81429e36>] ? _raw_write_unlock_irqrestore+0xf/0x20
[    2.630700]  [<ffffffffa047b320>] ? intel_ddi_enable_transcoder_func+0x1af/0x1bb [i915]
[    2.630777]  [<ffffffffa046376f>] ? haswell_crtc_enable+0x351/0x74c [i915]
[    2.630851]  [<ffffffffa0460cd9>] ? intel_atomic_commit+0x604/0x1118 [i915]
[    2.630865]  [<ffffffffa01f7ce1>] ? drm_atomic_check_only+0x273/0x52a [drm]
[    2.630873]  [<ffffffffa024a54a>] ? restore_fbdev_mode+0x109/0x223 [drm_kms_helper]
[    2.630879]  [<ffffffffa024be41>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x2b/0x5e [drm_kms_helper]
[    2.630885]  [<ffffffffa024beaa>] ? drm_fb_helper_set_par+0x36/0x41 [drm_kms_helper]
[    2.630891]  [<ffffffffa024be0e>] ? drm_fb_helper_hotplug_event+0xab/0xb3 [drm_kms_helper]
[    2.630898]  [<ffffffffa0241fef>] ? output_poll_execute+0x13b/0x18c [drm_kms_helper]
[    2.630904]  [<ffffffff814272c1>] ? __schedule+0x5af/0x7b0
[    2.630909]  [<ffffffff8104fc50>] ? process_one_work+0x190/0x299
[    2.630913]  [<ffffffff81050819>] ? worker_thread+0x273/0x35d
[    2.630918]  [<ffffffff810505a6>] ? rescuer_thread+0x2b6/0x2b6
[    2.630921]  [<ffffffff81054544>] ? kthread+0xc1/0xc9
[    2.630924]  [<ffffffff81054483>] ? kthread_worker_fn+0x12e/0x12e
[    2.630928]  [<ffffffff8142a5df>] ? ret_from_fork+0x3f/0x70
[    2.630931]  [<ffffffff81054483>] ? kthread_worker_fn+0x12e/0x12e
[    2.630947] ---[ end trace a8d82836c69cfaa8 ]---
Comment 27 lesiehnie 2016-04-14 15:20:19 UTC
Same issues after updating to the most
Comment 28 lesiehnie 2016-04-14 15:22:08 UTC
Same issues after flashing the most recent bios version 1.3.3 and checking to have the most recent firmware version of the Thunderbold adapter.
Comment 29 Jaroslaw Cengelenga 2016-04-14 16:29:42 UTC
Dell XPS 13 9350
DA200
Ubuntu 16.04
4.4.0-18-generic

same issues:
------------------
[  131.443670] ------------[ cut here ]------------
[  131.443707] WARNING: CPU: 2 PID: 1388 at /build/linux-XwpX40/linux-4.4.0/ubuntu/i915/intel_pm.c:3572 skl_update_other_pipe_wm+0x16c/0x180 [i915_bpo]()
[  131.443709] WARN_ON(!wm_changed)
[  131.443710] Modules linked in: rfcomm bnep binfmt_misc nls_iso8859_1 snd_hda_codec_hdmi dell_led snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_realtek i2c_designware_platform snd_hda_codec_generic snd_soc_core i2c_designware_core snd_compress ac97_bus dell_laptop dcdbas dell_wmi snd_pcm_dmaengine sparse_keymap intel_rapl dw_dmac_core x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp snd_hda_codec kvm_intel snd_hda_core snd_hwdep snd_pcm kvm brcmfmac snd_seq_midi snd_seq_midi_event snd_rawmidi brcmutil snd_seq irqbypass rtsx_pci_ms snd_seq_device cfg80211 snd_timer memstick snd joydev input_leds serio_raw soundcore btusb btrtl hid_multitouch mei_me idma64 virt_dma mei shpchp processor_thermal_device intel_soc_dts_iosf intel_lpss_pci hci_uart btbcm btqca btintel bluetooth intel_lpss_acpi int3400_thermal intel_lpss int3403_thermal int340x_thermal_zone acpi_thermal_rel acpi_pad mac_hid acpi_als kfifo_buf industrialio parport_pc ppdev lp parport autofs4 drbg ansi_cprng algif_skcipher af_alg dm_crypt usbhid crct10dif_pclmul crc32_pclmul rtsx_pci_sdmmc i915_bpo aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd intel_ips psmouse i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt nvme fb_sys_fops ahci rtsx_pci drm libahci wmi i2c_hid hid pinctrl_sunrisepoint video pinctrl_intel fjes
[  131.443761] CPU: 2 PID: 1388 Comm: Xorg Not tainted 4.4.0-18-generic #34-Ubuntu
[  131.443762] Hardware name: Dell Inc. XPS 13 9350/07TYC2, BIOS 1.2.3 01/08/2016
[  131.443763]  0000000000000286 0000000023ce7b3d ffff8800618c7938 ffffffff813e9243
[  131.443765]  ffff8800618c7980 ffffffffc0375c70 ffff8800618c7970 ffffffff81080f62
[  131.443766]  ffff880276fc4000 ffff8800354e9d9c ffff880276fc3000 ffff8802713f3b78
[  131.443768] Call Trace:
[  131.443772]  [<ffffffff813e9243>] dump_stack+0x63/0x90
[  131.443775]  [<ffffffff81080f62>] warn_slowpath_common+0x82/0xc0
[  131.443777]  [<ffffffff81080ffc>] warn_slowpath_fmt+0x5c/0x80
[  131.443789]  [<ffffffffc02a75cc>] skl_update_other_pipe_wm+0x16c/0x180 [i915_bpo]
[  131.443799]  [<ffffffffc02a7766>] skl_update_wm+0x186/0x5f0 [i915_bpo]
[  131.443815]  [<ffffffffc033336f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915_bpo]
[  131.443825]  [<ffffffffc02ab48e>] intel_update_watermarks+0x1e/0x30 [i915_bpo]
[  131.443840]  [<ffffffffc0317401>] haswell_crtc_enable+0x321/0x8c0 [i915_bpo]
[  131.443855]  [<ffffffffc0313dad>] intel_atomic_commit+0x5dd/0xdb0 [i915_bpo]
[  131.443870]  [<ffffffffc00c580e>] ? drm_atomic_check_only+0x18e/0x590 [drm]
[  131.443880]  [<ffffffffc00c5c47>] drm_atomic_commit+0x37/0x60 [drm]
[  131.443886]  [<ffffffffc0146a06>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
[  131.443894]  [<ffffffffc00b4e02>] drm_mode_set_config_internal+0x62/0x100 [drm]
[  131.443903]  [<ffffffffc00b9322>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
[  131.443909]  [<ffffffffc00aa712>] drm_ioctl+0x152/0x540 [drm]
[  131.443918]  [<ffffffffc00b8f50>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[  131.443920]  [<ffffffff8121ff9f>] do_vfs_ioctl+0x29f/0x490
[  131.443923]  [<ffffffff8108e081>] ? __set_task_blocked+0x41/0xa0
[  131.443924]  [<ffffffff81090a16>] ? __set_current_blocked+0x36/0x60
[  131.443926]  [<ffffffff81220209>] SyS_ioctl+0x79/0x90
[  131.443927]  [<ffffffff81090cce>] ? SyS_rt_sigprocmask+0x8e/0xc0
[  131.443930]  [<ffffffff818243b2>] entry_SYSCALL_64_fastpath+0x16/0x71
[  131.443932] ---[ end trace 662309410218f706 ]---
[  139.097064] ------------[ cut here ]------------
Comment 30 Jan 2016-04-18 12:58:01 UTC
I can confirm this problem with a Latitude E7270 (i7-6600U CPU) and an old style Dell eDock:

Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel: WARNING: CPU: 0 PID: 7037 at drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0x191/0x1a0 [i915]()
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel: WARN_ON(!wm_changed)
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel: Modules linked in:
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  cmac rfcomm cpufreq_stats tun snd_hda_codec_hdmi dell_led snd_hda_codec_realtek snd_hda_codec_generic ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw iptable_filter bnep arc4 vfat fat dell_wmi ppdev sparse_keymap dell_laptop dcdbas x86_pkg_temp_thermal intel_powerclamp iwlmvm coretemp dell_smm_hwmon mac80211 kvm_intel kvm irqbypass snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm iwlwifi cfg80211 rtsx_pci_ms joydev pcspkr
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  memstick snd_timer uvcvideo snd i2c_i801 soundcore videobuf2_vmalloc videobuf2_memops input_leds videobuf2_v4l2 videobuf2_core shpchp i915 videodev mei_me mei btusb btrtl i2c_algo_bit drm_kms_helper wmi drm hci_uart btbcm syscopyarea btqca sysfillrect btintel sysimgblt parport_pc processor_thermal_device intel_lpss_acpi int3400_thermal intel_soc_dts_iosf parport 8250_fintek bluetooth video fb_sys_fops int3403_thermal intel_lpss dell_rbtn acpi_thermal_rel int340x_thermal_zone tpm_crb rfkill acpi_pad acpi_als kfifo_buf industrialio nfsd auth_rpcgss nfs_acl lockd grace sunrpc ip_tables xfs libcrc32c dm_crypt hid_logitech_hidpp hid_logitech_dj crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel rtsx_pci_sdmmc mmc_core aesni_intel glue_helper lrw gf128mul ablk_helper cryptd serio_raw
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  e1000e ptp pps_core rtsx_pci mfd_core nvme ahci libahci libata i2c_hid fjes dm_mirror dm_region_hash dm_log dm_mod
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel: CPU: 0 PID: 7037 Comm: X Tainted: G        W       4.5.1-1.el7.elrepo.x86_64 #1
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel: Hardware name: Dell Inc. Latitude E7270/0T0V7J, BIOS 1.4.2 03/04/2016
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  0000000000000286 00000000c3433af9 ffff8803c6347928 ffffffff8133b89f
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  ffff8803c6347970 ffffffffa070e4d0 ffff8803c6347960 ffffffff8107f136
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  ffff880439bfe000 ffff880439bf9000 0000000000000004 ffff880436fc23a8
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel: Call Trace:
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffff8133b89f>] dump_stack+0x63/0x84
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffff8107f136>] warn_slowpath_common+0x86/0xc0
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffff8107f1cc>] warn_slowpath_fmt+0x5c/0x80
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa0648961>] skl_update_other_pipe_wm+0x191/0x1a0 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa0648b2f>] skl_update_wm+0x1bf/0x6e0 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa06926b3>] ? gen9_write32+0x153/0x340 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa06d0e6f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa064a0ae>] intel_update_watermarks+0x1e/0x30 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa06b4c51>] haswell_crtc_enable+0x321/0x8d0 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa06b193a>] intel_atomic_commit+0x70a/0xa90 [i915]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa05410d0>] ? drm_atomic_check_only+0x130/0x5f0 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa0540957>] ? drm_atomic_set_crtc_for_connector+0x57/0xe0 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa05415c7>] drm_atomic_commit+0x37/0x60 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa05a8247>] drm_atomic_helper_set_config+0x77/0xb0 [drm_kms_helper]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa0530b84>] drm_mode_set_config_internal+0x64/0x100 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa0534dcc>] drm_mode_setcrtc+0xec/0x530 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa052696d>] drm_ioctl+0x25d/0x4f0 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffffa0534ce0>] ? drm_mode_setplane+0x1c0/0x1c0 [drm]
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffff8121d046>] do_vfs_ioctl+0xa6/0x5c0
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffff8121d5d9>] SyS_ioctl+0x79/0x90
Apr 18 14:49:46 its-a-trap.its.unibas.ch kernel:  [<ffffffff8170426e>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 31 Andraz Tori 2016-04-18 20:06:28 UTC
Tested on 4.6.0-040600rc4-generic. The problem persists.

Thinkpad X260 with HDMI port connected.

Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888429] ------------[ cut here ]------------
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888453] WARNING: CPU: 1 PID: 6 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_pm.c:3572 skl_update_other_pipe_wm+0x16c/0x180 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888454] WARN_ON(!wm_changed)
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888459] Modules linked in: hid_generic usbhid hid rtsx_pci_sdmmc i915 psmouse e1000e i2c_algo_bit ptp drm_kms_helper pps_core ahci rtsx_pci libahci syscopyarea sysfillrect sysimgblt fb_sys_fops drm wmi video fjes
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888461] CPU: 1 PID: 6 Comm: kworker/u16:0 Not tainted 4.6.0-040600rc4-generic #201604172330
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888461] Hardware name: LENOVO 20F5S0AU00/20F5S0AU00, BIOS R02ET44W (1.17 ) 01/25/2016
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888464] Workqueue: events_unbound async_run_entry_fn
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888466]  0000000000000286 000000000acf348e ffff88042ea83610 ffffffff813eee03
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888467]  ffff88042ea83660 0000000000000000 ffff88042ea83650 ffffffff810827cb
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888468]  00000df401b6348e ffff880428ded000 ffff880427cf9da4 ffff880428dec000
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888468] Call Trace:
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888471]  [<ffffffff813eee03>] dump_stack+0x63/0x90
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888473]  [<ffffffff810827cb>] __warn+0xcb/0xf0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888474]  [<ffffffff8108284f>] warn_slowpath_fmt+0x5f/0x80
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888490]  [<ffffffffc01c95ec>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888503]  [<ffffffffc01c9785>] skl_update_wm+0x185/0x640 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888523]  [<ffffffffc0217345>] ? gen9_write32+0x235/0x370 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888545]  [<ffffffffc025576f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888560]  [<ffffffffc01cd54e>] intel_update_watermarks+0x1e/0x30 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888579]  [<ffffffffc02396f1>] haswell_crtc_enable+0x321/0x8c0 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888597]  [<ffffffffc0225cee>] ? intel_finish_crtc_commit+0xe/0x10 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888603]  [<ffffffffc01068d4>] ? drm_atomic_helper_commit_planes_on_crtc+0x154/0x270 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888620]  [<ffffffffc0236080>] intel_atomic_commit+0x5e0/0xdc0 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888633]  [<ffffffffc005cc31>] ? drm_atomic_check_only+0x181/0x600 [drm]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888643]  [<ffffffffc005d0e7>] drm_atomic_commit+0x37/0x60 [drm]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888648]  [<ffffffffc0107b1f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888657]  [<ffffffffc005bd6a>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888661]  [<ffffffffc0109d43>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888664]  [<ffffffffc0109dbd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888667]  [<ffffffffc0109cc2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888670]  [<ffffffffc0109d66>] drm_fb_helper_restore_fbdev_mode_unlocked+0x56/0x80 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888673]  [<ffffffffc0109dbd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888693]  [<ffffffffc024bd6a>] intel_fbdev_set_par+0x1a/0x60 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888694]  [<ffffffff8146ed20>] fbcon_init+0x570/0x5f0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888696]  [<ffffffff8150167a>] visual_init+0xca/0x130
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888698]  [<ffffffff81502fb1>] do_bind_con_driver+0x1c1/0x3a0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888699]  [<ffffffff815034c9>] do_take_over_console+0x149/0x1a0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888701]  [<ffffffff8146ab87>] do_fbcon_takeover+0x57/0xb0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888702]  [<ffffffff8146f798>] fbcon_event_notify+0x658/0x750
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888703]  [<ffffffff810a407a>] notifier_call_chain+0x4a/0x70
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888705]  [<ffffffff810a43b7>] __blocking_notifier_call_chain+0x47/0x60
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888706]  [<ffffffff810a43e6>] blocking_notifier_call_chain+0x16/0x20
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888707]  [<ffffffff8147559b>] fb_notifier_call_chain+0x1b/0x20
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888708]  [<ffffffff814775a3>] register_framebuffer+0x213/0x370
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888712]  [<ffffffffc010a06a>] drm_fb_helper_initial_config+0x28a/0x420 [drm_kms_helper]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888729]  [<ffffffffc024c91f>] intel_fbdev_initial_config+0x1f/0x30 [i915]
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888731]  [<ffffffff810a5bd8>] async_run_entry_fn+0x48/0x150
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888732]  [<ffffffff8109ca25>] process_one_work+0x165/0x480
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888734]  [<ffffffff8109cd8b>] worker_thread+0x4b/0x500
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888735]  [<ffffffff8109cd40>] ? process_one_work+0x480/0x480
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888736]  [<ffffffff810a3178>] kthread+0xd8/0xf0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888738]  [<ffffffff8183fb62>] ret_from_fork+0x22/0x40
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888739]  [<ffffffff810a30a0>] ? kthread_create_on_node+0x1a0/0x1a0
Apr 18 21:55:26 minmax-ThinkPad-X260 kernel: [    2.888740] ---[ end trace e03767ef15b72de7 ]---
Comment 32 Marco Trevisan (Treviño) 2016-04-21 04:31:53 UTC
FYI, I'm seeing something similar to this even in a Thinkpad T460p

Especially when it comes to the HDMI audio initialization problems:
  snd_hda_codec_hdmi hdaudioC0D2: HDMI: ELD buf size is 0, force 128
  snd_hda_codec_hdmi hdaudioC0D2: HDMI: invalid ELD data byte 0
Comment 33 lesiehnie 2016-04-21 16:57:41 UTC
Using the latest kernel 4.5.2 with the Dell WD15 works now, but still an error is displayed:

With Minidisplayport connected:
[  136.078236] ------------[ cut here ]------------
[  136.078253] WARNING: CPU: 1 PID: 757 at drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0xb7/0xf3 [i915]()
[  136.078254] WARN_ON(!wm_changed)
[  136.078255] Modules linked in:
[  136.078256]  rfcomm snd_hda_codec_hdmi bnep cpufreq_conservative cpufreq_userspace cpufreq_powersave cpufreq_stats dell_led snd_hda_codec_realtek snd_hda_codec_generic snd_usb_audio snd_hwdep snd_usbmidi_lib snd_rawmidi snd_seq_device btusb btrtl cdc_ether usbnet uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 hid_multitouch videodev videobuf2_core usbhid r8152 mii dell_wmi coretemp intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul crct10dif_common crc32_pclmul ghash_clmulni_intel hwmon aesni_intel dell_laptop aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd serio_raw pcspkr nls_utf8 nls_cp437 i2c_i801 vfat fat snd_hda_intel snd_hda_codec snd_hda_core snd_pcm snd_timer snd soundcore brcmfmac brcmutil cfg80211 processor_thermal_device intel_lpss_pci
[  136.078283]  intel_soc_dts_iosf wmi battery i915 hci_uart btbcm btqca btintel video bluetooth rfkill intel_lpss_acpi intel_lpss int3403_thermal int340x_thermal_zone int3400_thermal intel_hid acpi_thermal_rel sparse_keymap acpi_pad ac tpm_tis tpm processor evdev fbcon bitblit softcursor font button i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm intel_agp intel_gtt agpgart ipv6 rtsx_pci_sdmmc mmc_core crc32c_intel psmouse rtsx_pci mfd_core xhci_pci xhci_hcd usbcore usb_common fan thermal i2c_hid hid i2c_core rtc_cmos
[  136.078305] CPU: 1 PID: 757 Comm: Xorg Tainted: G        W       4.5.2 #206
[  136.078306] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.3.3 03/01/2016
[  136.078307]  0000000080000000 ffffffff8126c6eb ffff880465727a50 0000000000000009
[  136.078309]  ffffffff8103fb7b ffffffffa0456018 ffff88046a14a000 ffff880465727aa8
[  136.078310]  ffff88046a2b995c ffff88046a2b9960 ffffffff8103fbd3 ffffffffa04f2bf9
[  136.078312] Call Trace:
[  136.078316]  [<ffffffff8126c6eb>] ? dump_stack+0x46/0x59
[  136.078319]  [<ffffffff8103fb7b>] ? warn_slowpath_common+0x89/0x9e
[  136.078325]  [<ffffffffa0456018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[  136.078327]  [<ffffffff8103fbd3>] ? warn_slowpath_fmt+0x43/0x4b
[  136.078333]  [<ffffffffa0456018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[  136.078340]  [<ffffffffa0456160>] ? skl_update_wm+0x10c/0x4fd [i915]
[  136.078342]  [<ffffffff8142a226>] ? _raw_write_unlock_irqrestore+0xf/0x20
[  136.078351]  [<ffffffffa04bd320>] ? intel_ddi_enable_transcoder_func+0x1af/0x1bb [i915]
[  136.078361]  [<ffffffffa04a576f>] ? haswell_crtc_enable+0x351/0x74c [i915]
[  136.078370]  [<ffffffffa04a2cd9>] ? intel_atomic_commit+0x604/0x1118 [i915]
[  136.078375]  [<ffffffffa01e9ce1>] ? drm_atomic_check_only+0x273/0x52a [drm]
[  136.078378]  [<ffffffffa023baf8>] ? drm_atomic_helper_set_config+0x45/0x8c [drm_kms_helper]
[  136.078383]  [<ffffffffa01dcb23>] ? drm_mode_set_config_internal+0x50/0xd7 [drm]
[  136.078388]  [<ffffffffa01e0cd1>] ? drm_mode_setcrtc+0x3a0/0x410 [drm]
[  136.078392]  [<ffffffffa01d57fd>] ? drm_ioctl+0x225/0x353 [drm]
[  136.078397]  [<ffffffffa01e0931>] ? drm_mode_setplane+0x160/0x160 [drm]
[  136.078399]  [<ffffffff811002fc>] ? __vfs_write+0x96/0xbe
[  136.078401]  [<ffffffff8110e5a4>] ? vfs_ioctl+0x16/0x23
[  136.078403]  [<ffffffff8110eac2>] ? do_vfs_ioctl+0x49e/0x50e
[  136.078404]  [<ffffffff8105a6ad>] ? get_parent_ip+0x9/0x1b
[  136.078406]  [<ffffffff8104701d>] ? recalc_sigpending+0x11/0x3e
[  136.078407]  [<ffffffff81047895>] ? __set_task_blocked+0x5a/0x5e
[  136.078409]  [<ffffffff81116578>] ? __fget+0x6b/0x75
[  136.078411]  [<ffffffff8110eb6b>] ? SyS_ioctl+0x39/0x55
[  136.078412]  [<ffffffff8142a61b>] ? entry_SYSCALL_64_fastpath+0x16/0x6a
[  136.078413] ---[ end trace 38a5644275f8026b ]---

With HDMI connected:
[  369.128515] ------------[ cut here ]------------
[  369.128528] WARNING: CPU: 1 PID: 757 at drivers/gpu/drm/i915/intel_pm.c:3553 skl_update_other_pipe_wm+0xb7/0xf3 [i915]()
[  369.128529] WARN_ON(!wm_changed)
[  369.128529] Modules linked in:
[  369.128530]  af_packet rfcomm snd_hda_codec_hdmi bnep cpufreq_conservative cpufreq_userspace cpufreq_powersave cpufreq_stats dell_led snd_hda_codec_realtek snd_hda_codec_generic snd_usb_audio snd_hwdep snd_usbmidi_lib snd_rawmidi snd_seq_device btusb btrtl cdc_ether usbnet uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 hid_multitouch videodev videobuf2_core usbhid r8152 mii dell_wmi coretemp intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul crct10dif_common crc32_pclmul ghash_clmulni_intel hwmon aesni_intel dell_laptop aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd serio_raw pcspkr nls_utf8 nls_cp437 i2c_i801 vfat fat snd_hda_intel snd_hda_codec snd_hda_core snd_pcm snd_timer snd soundcore brcmfmac brcmutil cfg80211 processor_thermal_device
[  369.128558]  intel_lpss_pci intel_soc_dts_iosf wmi battery i915 hci_uart btbcm btqca btintel video bluetooth rfkill intel_lpss_acpi intel_lpss int3403_thermal int340x_thermal_zone int3400_thermal intel_hid acpi_thermal_rel sparse_keymap acpi_pad ac tpm_tis tpm processor evdev fbcon bitblit softcursor font button i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm intel_agp intel_gtt agpgart ipv6 rtsx_pci_sdmmc mmc_core crc32c_intel psmouse rtsx_pci mfd_core xhci_pci xhci_hcd usbcore usb_common fan thermal i2c_hid hid i2c_core rtc_cmos
[  369.128596] CPU: 1 PID: 757 Comm: Xorg Tainted: G        W       4.5.2 #206
[  369.128597] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.3.3 03/01/2016
[  369.128598]  0000000080000000 ffffffff8126c6eb ffff880465727a50 0000000000000009
[  369.128599]  ffffffff8103fb7b ffffffffa0456018 ffff88046a14a000 ffff880465727aa8
[  369.128601]  ffff88046a2b995c ffff88046a2b9960 ffffffff8103fbd3 ffffffffa04f2bf9
[  369.128603] Call Trace:
[  369.128606]  [<ffffffff8126c6eb>] ? dump_stack+0x46/0x59
[  369.128609]  [<ffffffff8103fb7b>] ? warn_slowpath_common+0x89/0x9e
[  369.128616]  [<ffffffffa0456018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[  369.128617]  [<ffffffff8103fbd3>] ? warn_slowpath_fmt+0x43/0x4b
[  369.128624]  [<ffffffffa0456018>] ? skl_update_other_pipe_wm+0xb7/0xf3 [i915]
[  369.128631]  [<ffffffffa0456160>] ? skl_update_wm+0x10c/0x4fd [i915]
[  369.128633]  [<ffffffff8142a226>] ? _raw_write_unlock_irqrestore+0xf/0x20
[  369.128642]  [<ffffffffa04bd320>] ? intel_ddi_enable_transcoder_func+0x1af/0x1bb [i915]
[  369.128652]  [<ffffffffa04a576f>] ? haswell_crtc_enable+0x351/0x74c [i915]
[  369.128662]  [<ffffffffa04a2cd9>] ? intel_atomic_commit+0x604/0x1118 [i915]
[  369.128667]  [<ffffffffa01e9ce1>] ? drm_atomic_check_only+0x273/0x52a [drm]
[  369.128670]  [<ffffffffa023baf8>] ? drm_atomic_helper_set_config+0x45/0x8c [drm_kms_helper]
[  369.128675]  [<ffffffffa01dcb23>] ? drm_mode_set_config_internal+0x50/0xd7 [drm]
[  369.128681]  [<ffffffffa01e0cd1>] ? drm_mode_setcrtc+0x3a0/0x410 [drm]
[  369.128684]  [<ffffffffa01d57fd>] ? drm_ioctl+0x225/0x353 [drm]
[  369.128690]  [<ffffffffa01e0931>] ? drm_mode_setplane+0x160/0x160 [drm]
[  369.128692]  [<ffffffff811002fc>] ? __vfs_write+0x96/0xbe
[  369.128694]  [<ffffffff8110e5a4>] ? vfs_ioctl+0x16/0x23
[  369.128696]  [<ffffffff8110eac2>] ? do_vfs_ioctl+0x49e/0x50e
[  369.128697]  [<ffffffff8105a6ad>] ? get_parent_ip+0x9/0x1b
[  369.128699]  [<ffffffff8104701d>] ? recalc_sigpending+0x11/0x3e
[  369.128700]  [<ffffffff81047895>] ? __set_task_blocked+0x5a/0x5e
[  369.128702]  [<ffffffff81116578>] ? __fget+0x6b/0x75
[  369.128704]  [<ffffffff8110eb6b>] ? SyS_ioctl+0x39/0x55
[  369.128705]  [<ffffffff8142a61b>] ? entry_SYSCALL_64_fastpath+0x16/0x6a
[  369.128706] ---[ end trace 38a5644275f8026c ]---
Comment 34 lesiehnie 2016-04-21 17:00:28 UTC
Using the Dell XPS 13 9350 with the latest kernel 4.5.2 still is not working with the Dell DA200 adapter. The available modes are shown using xrandr, but the screen stays dark after trying to use one of the available high resolution modes.
Comment 35 lesiehnie 2016-04-22 07:02:41 UTC
The current debian testing (stretch) stock kernel (Linux 4.5.0-1-amd64 #1 SMP Debian 4.5.1-1 (2016-04-14)) shows similar results as the 4.5.1 vanilla kernel and does not work for the Dell WD15 and the Dell DA200 together with the XPS 13 9350.
Comment 36 PJ 2016-04-22 07:17:20 UTC
I did testing with several DP dongles and HDMI dongles and monitors with my xps13. The conclusion from that is that everything works fine as long as HBR2 is disabled (either in hardware, some monitors can do that, or in software by manually patching the intel-drm to not check for those speeds). Obviously this greatly limits the maximum resolution and/or the number of monitors one can connect.

I tested with kernels 4.4.3, 4.5.1 and 4.6.0 #201604152200 (nightly). Fully updated TB3 firmware from Dell and everything working fine when I try in windows to go.
Comment 37 lesiehnie 2016-04-22 08:01:13 UTC
(In reply to PJ from comment #36)
> I tested with kernels 4.4.3, 4.5.1 and 4.6.0 #201604152200 (nightly). Fully
> updated TB3 firmware from Dell and everything working fine when I try in
> windows to go.

Could you try vanilla kernel 4.5.2? The Dell WD 15 works with 4.5.2 also at high resolutions (Dell U2713H Monitor, 2546x1440), an oops message is displayed in the dmesg log after turning off the monitor using xrandr, though. (See comment 33) There was no need to turn off HBR2 to make it work with kernel 4.5.2.
Comment 38 lesiehnie 2016-05-06 14:03:42 UTC
No improvements with vanilla kernel 4.5.3 for the DA200, the WD15 and the TB15.
Comment 39 Thomas Fankhauser 2016-05-24 15:31:34 UTC
I can confirm this bug persists on an XPS 9550 with Arch Linux Kernel 4.5.4-1 and a DA200 adapter. The same monitor works fine using another USB-C to HDMI adapter.
Comment 40 Joel Franco 2016-05-24 15:39:19 UTC
Created attachment 124028 [details]
attachment-15627-0.html

I have changed my screensaver to the old xscreensaver and my problem with
the CPU 100% have gone.

I was using the default screensaver of xubuntu.

Regards,

Joel
Em 24 de mai de 2016 12:31 PM, <bugzilla-daemon@freedesktop.org> escreveu:

> *Comment # 39 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c39> on
> bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from Thomas
> Fankhauser <tommy@southdesign.de> *
>
> I can confirm this bug persists on an XPS 9550 with Arch Linux Kernel 4.5.4-1
> and a DA200 adapter. The same monitor works fine using another USB-C to HDMI
> adapter.
>
> ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 41 Alexandru Calinoiu 2016-05-26 06:48:14 UTC
Any more progress on this, is there a work around available?
Comment 42 tranceash 2016-05-26 07:03:29 UTC
guys can you try the 4.6 mainline kernel and see if the issue is fixed
Comment 43 Alexandru Calinoiu 2016-05-26 08:13:26 UTC
It is scheduled to arrive in my distro at the end of this week (OpenSuse Thumbelweed) will let you guys know how this works.
Comment 44 karlvlam 2016-05-27 19:15:19 UTC
4.6 mainline kernel does not work

xubuntu 16.04
Comment 45 Joel Franco 2016-05-27 21:47:54 UTC
Created attachment 124135 [details]
attachment-10353-0.html

Guys,

It appears that the problem is related to switch the virtual terminal 
when it is in the vt7 and change to another one, like vt8 (it is made 
automatically in the xubuntu new screen saver). You can experiment the 
same results switching to another VT (Ctrl+Alt+FX) and switching back to 
the vt7.

I installed xscreensaver that do not change the VT when it is activated 
and the problema was "solved" (ok, it's not solved, but just not activated)

Regards.

Joel

Em 27/05/2016 16:15, bugzilla-daemon@freedesktop.org escreveu:
>
> *Comment # 44 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c44> 
> on bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from 
> karlvlam <mailto:karl.v.lam@gmail.com> *
> 4.6 mainline kernel does not work
>
> xubuntu 16.04
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You are on the CC list for the bug.
>
Comment 46 karlvlam 2016-05-28 06:27:55 UTC
(In reply to Joel Franco from comment #45)
> Created attachment 124135 [details]
> attachment-10353-0.html
> 
> Guys,
> 
> It appears that the problem is related to switch the virtual terminal 
> when it is in the vt7 and change to another one, like vt8 (it is made 
> automatically in the xubuntu new screen saver). You can experiment the 
> same results switching to another VT (Ctrl+Alt+FX) and switching back to 
> the vt7.
> 
> I installed xscreensaver that do not change the VT when it is activated 
> and the problema was "solved" (ok, it's not solved, but just not activated)
> 
> Regards.
> 
> Joel
> 
> Em 27/05/2016 16:15, bugzilla-daemon@freedesktop.org escreveu:
> >
> > *Comment # 44 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c44> 
> > on bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from 
> > karlvlam <mailto:karl.v.lam@gmail.com> *
> > 4.6 mainline kernel does not work
> >
> > xubuntu 16.04
> > ------------------------------------------------------------------------
> > You are receiving this mail because:
> >
> >   * You are on the CC list for the bug.
> >

no luck.(In reply to Joel Franco from comment #45)
> Created attachment 124135 [details]
> attachment-10353-0.html
> 
> Guys,
> 
> It appears that the problem is related to switch the virtual terminal 
> when it is in the vt7 and change to another one, like vt8 (it is made 
> automatically in the xubuntu new screen saver). You can experiment the 
> same results switching to another VT (Ctrl+Alt+FX) and switching back to 
> the vt7.
> 
> I installed xscreensaver that do not change the VT when it is activated 
> and the problema was "solved" (ok, it's not solved, but just not activated)
> 
> Regards.
> 
> Joel
> 
> Em 27/05/2016 16:15, bugzilla-daemon@freedesktop.org escreveu:
> >
> > *Comment # 44 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c44> 
> > on bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from 
> > karlvlam <mailto:karl.v.lam@gmail.com> *
> > 4.6 mainline kernel does not work
> >
> > xubuntu 16.04
> > ------------------------------------------------------------------------
> > You are receiving this mail because:
> >
> >   * You are on the CC list for the bug.
> >

(In reply to Joel Franco from comment #45)
> Created attachment 124135 [details]
> attachment-10353-0.html
> 
> Guys,
> 
> It appears that the problem is related to switch the virtual terminal 
> when it is in the vt7 and change to another one, like vt8 (it is made 
> automatically in the xubuntu new screen saver). You can experiment the 
> same results switching to another VT (Ctrl+Alt+FX) and switching back to 
> the vt7.
> 
> I installed xscreensaver that do not change the VT when it is activated 
> and the problema was "solved" (ok, it's not solved, but just not activated)
> 
> Regards.
> 
> Joel
> 
> Em 27/05/2016 16:15, bugzilla-daemon@freedesktop.org escreveu:
> >
> > *Comment # 44 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c44> 
> > on bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from 
> > karlvlam <mailto:karl.v.lam@gmail.com> *
> > 4.6 mainline kernel does not work
> >
> > xubuntu 16.04
> > ------------------------------------------------------------------------
> > You are receiving this mail because:
> >
> >   * You are on the CC list for the bug.
> >
Comment 47 karlvlam 2016-06-16 07:23:27 UTC
any update for this issue?
Comment 48 Jani Nikula 2016-06-16 07:49:26 UTC
(In reply to karlvlam from comment #47)
> any update for this issue?

This bug seems to have conflated a number of issues, AFAICS. Here's the original report:

(In reply to Mário Antunes from comment #0)
> Dear all, I have a dell XPS 13 9350, with a external bus DA200. This adapter
> connects to the USB-C port and provides HDMI, VGA, 1x USB 3 and Ethernet.
> The usb port and the Ethernet are working correctly. However I am unable to
> connect a external monitor.

Let's stick to the issue about Skylake USB-C display here. Everyone else, with any other issues, please file new bugs. Thank you.

USB-C support, I'm afraid, is still a work-in-progress. There are patches on the list, but nothing I'd encourage you to try on Skylake at this time. :(

> The dmesg log points to drm intel drivers as the culprit:
> 
> [    4.526617]  [<ffffffffc02d3c4a>] skl_update_other_pipe_wm+0x1ba/0x1c0
> [i915]

This part is fixed (bug 89055) but should be of no significance to the USB-C problems.
Comment 49 Carlo Abelli 2016-06-19 01:59:20 UTC
Not sure if this adds info, but I'm using a Dell XPS 13 9350 with BIOS version 1.3.3 and Thunderbolt 3 Firmware  2.12.07 ,A03 (issue also was present before the firmware update) and a Dell DA200 adapter. Connecting a screen via the HDMI port on the DA200 fails to produce any output with resolutions above 1400x900 (though resolutions less than or equal to this work). The screen is recognized, and low resolutions succeed. This issue is not present when using the same DA200 with Windows, which does display at any resolution.

The issue is discussed here as well: https://bbs.archlinux.org/viewtopic.php?pid=1634085#p1634085
Comment 50 Jani Nikula 2016-06-20 09:24:19 UTC
The patches are still a work-in-progress, I'm afraid.
Comment 51 Rien Heuver 2016-06-29 15:32:45 UTC
I'm having the exact same issues: Dell XPS 13 9350, DA200 adapter, connecting a Dell U2515H over HDMI, no screen. Have tried some very recent kernel-rc's and intel-drm-nightlies. Ubuntu 16.04, also tried Fedora 24. Windows works fine for me too.
Comment 52 Birin 2016-07-12 08:55:41 UTC
Hi all,

I'm still having the same issues as the people on this bug. I have a Dell XPS 13 9350 with the DA200. BIOS is updated to 1.4.4 and Thunderbolt firmware is A04 2.16.01.003. The external monitor that I'm trying to use is a Dell U2414H through the HDMI connector on the DA200.
I'm able to get it working for 1280x768 @60Hz but not for 1920x1080 @60Hz. i1920x1080 works but screen flickers. 1920x1080 @30Hz works too but flickering as well.

I'm using Xubuntu 16.04 with kernel '4.4.0-28-generic #47-Ubuntu'.

1920x1080 @60Hz works in Windows 10 with same hardware.

Thanks,

Birin
Comment 53 karlvlam 2016-07-12 09:25:37 UTC
Yes. If you really needs HDMI output now, buy a pure USB C to HDMI adapter can save you lots of works.
Comment 54 Sébastien Deleuze 2016-07-16 14:53:43 UTC
Same issue here with a Dell XPS 13 9350 with 1.4.4 bios and A04 USB-C firmware + Google USB Type-C to DisplayPort Cable (https://store.google.com/product/usb_type_c_to_displayport_cable).
Comment 55 Bruce Cartland 2016-09-08 12:26:06 UTC
Displayport crash. Dell P2715Q Monitor. Tumbleweed. 4.7.2-1-default kernel.
Works perfectly in Windows 10 (dual boot).

(Repeatedly trying various adapters caused the kde desktop to become "corrupted". From a console login deleting ~/.local/share/kscreen recovered the desktop.)

[  349.323974] ------------[ cut here ]------------
[  349.324013] WARNING: CPU: 0 PID: 1612 at ../drivers/gpu/drm/i915/intel_display.c:13955 skl_max_scale.part.109+0x72/0x80 [i915]
[  349.324015] WARN_ON_ONCE(!crtc_clock || cdclk < crtc_clock)
[  349.324017] Modules linked in:
[  349.324019]  rfcomm af_packet nf_log_ipv6 xt_pkttype nf_log_ipv4 nf_log_common xt_LOG xt_limit vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) bnep msr nls_iso8859_1 nls_cp437 vfat xfs fuse libcrc32c fat ax88179_178a usbnet mii snd_usb_audio snd_usbmidi_lib snd_rawmidi hid_generic snd_seq_device btusb btrtl uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev hid_multitouch snd_hda_codec_hdmi dell_led snd_hda_codec_realtek snd_hda_codec_generic snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_soc_core snd_compress snd_hda_intel snd_hda_codec snd_hda_core intel_rapl snd_hwdep x86_pkg_temp_thermal intel_powerclamp coretemp snd_pcm brcmfmac iTCO_wdt dell_laptop i2c_designware_platform brcmutil rtsx_pci_ms dell_wmi iTCO_vendor_support
[  349.324072]  snd_timer kvm_intel i2c_designware_core dell_smbios memstick cfg80211 kvm dcdbas irqbypass snd crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd idma64 pcspkr joydev virt_dma soundcore i2c_i801 shpchp mei_me mei intel_lpss_pci intel_pch_thermal ip6t_REJECT nf_reject_ipv6 xt_tcpudp processor_thermal_device nf_conntrack_ipv6 intel_soc_dts_iosf nf_defrag_ipv6 thermal fan wmi hci_uart battery pinctrl_sunrisepoint pinctrl_intel ip6table_raw btbcm btqca btintel bluetooth rfkill intel_lpss_acpi ipt_REJECT intel_lpss nf_reject_ipv4 intel_hid sparse_keymap int3400_thermal int3403_thermal int340x_thermal_zone acpi_thermal_rel iptable_raw acpi_als acpi_pad ac tpm_tis kfifo_buf fjes industrialio tpm xt_CT iptable_filter ip6table_mangle
[  349.324115]  nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip_tables xt_conntrack nf_conntrack ip6table_filter ip6_tables x_tables btrfs xor hid_logitech_hidpp hid_logitech_dj usbhid raid6_pq rtsx_pci_sdmmc mmc_core crc32c_intel serio_raw nvme nvme_core rtsx_pci mfd_core i915 i2c_algo_bit drm_kms_helper xhci_pci syscopyarea sysfillrect sysimgblt fb_sys_fops xhci_hcd usbcore drm usb_common i2c_hid video button sg efivarfs
[  349.324142] CPU: 0 PID: 1612 Comm: X Tainted: G        W  O    4.7.2-1-default #1
[  349.324143] Hardware name: Dell Inc. XPS 13 9350/0VM5NC, BIOS 1.4.4 06/14/2016
[  349.324145]  0000000000000000 ffffffff813932a4 ffff88045aa77b00 0000000000000000
[  349.324149]  ffffffff8107ca1e ffff88043e7a10c0 ffff88045aa77b50 ffff88046a53b000
[  349.324151]  ffff88006aeca240 ffff88002fd3ec00 ffffffffa027a040 ffffffff8107ca8f
[  349.324154] Call Trace:
[  349.324167]  [<ffffffff8102ed5e>] dump_trace+0x5e/0x320
[  349.324173]  [<ffffffff8102f12c>] show_stack_log_lvl+0x10c/0x180
[  349.324178]  [<ffffffff8102fe41>] show_stack+0x21/0x40
[  349.324182]  [<ffffffff813932a4>] dump_stack+0x5c/0x78
[  349.324187]  [<ffffffff8107ca1e>] __warn+0xbe/0xe0
[  349.324192]  [<ffffffff8107ca8f>] warn_slowpath_fmt+0x4f/0x60
[  349.324222]  [<ffffffffa021daf2>] skl_max_scale.part.109+0x72/0x80 [i915]
[  349.324253]  [<ffffffffa021dbba>] intel_check_primary_plane+0xba/0xd0 [i915]
[  349.324280]  [<ffffffffa020ff44>] intel_plane_atomic_check+0x124/0x1c0 [i915]
[  349.324292]  [<ffffffffa0175be4>] drm_atomic_helper_check_planes+0x44/0x1c0 [drm_kms_helper]
[  349.324321]  [<ffffffffa022b1df>] intel_atomic_check+0x12f/0x770 [i915]
[  349.324345]  [<ffffffffa0054254>] drm_atomic_check_only+0x194/0x600 [drm]
[  349.324364]  [<ffffffffa00546d2>] drm_atomic_commit+0x12/0x60 [drm]
[  349.324375]  [<ffffffffa0177b39>] drm_atomic_helper_set_config+0x79/0xb0 [drm_kms_helper]
[  349.324392]  [<ffffffffa0043d71>] drm_mode_set_config_internal+0x61/0x110 [drm]
[  349.324409]  [<ffffffffa00483f7>] drm_mode_setcrtc+0x427/0x530 [drm]
[  349.324423]  [<ffffffffa003a5a1>] drm_ioctl+0x131/0x4c0 [drm]
[  349.324428]  [<ffffffff81222c40>] do_vfs_ioctl+0x90/0x5c0
[  349.324434]  [<ffffffff812231e4>] SyS_ioctl+0x74/0x80
[  349.324439]  [<ffffffff816bb4f6>] entry_SYSCALL_64_fastpath+0x1e/0xa8
[  349.326390] DWARF2 unwinder stuck at entry_SYSCALL_64_fastpath+0x1e/0xa8

[  349.326393] Leftover inexact backtrace:

[  349.326407] ---[ end trace 9e01cf35c46be0e9 ]---
Comment 56 Mahdi Adnan 2016-09-13 17:48:19 UTC
Hi,

Same issue here, XPS13 i5-6200U, Linux Mint 18 (Sarah), Kernel 4.7.3-040703-generic, External Adapter DA200.
Comment 57 sonny 2016-10-15 22:23:43 UTC
In case it's helping I'm getting

[  120.800144] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
‎[   28.659223] [drm:intel_dp_link_training_clock_recovery [i915]] *ERROR* failed to enable link training
[   28.929015] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to start channel equalization

and a bunch of

[  120.183252] WARNING: CPU: 0 PID: 795 at drivers/gpu/drm/i915/intel_pm.c:3675 skl_update_other_pipe_wm+0x177/0x180 [i915]

with laptop screen flickers when I connect an external HDMI screen to my Dell DA200 adapter connected to an XPS 13 Skylake.

4.7.6-1-ARCH
Comment 58 Alice Ferrazzi 2016-10-21 04:58:14 UTC
same problem for me with kernel 4.7.9 and 4.8.2

the problem present on XPS 13 9350 with a external bus DA200 when connecting with hdmi to a hdmi monitor

vga work
Comment 59 Sébastien Deleuze 2016-10-29 07:38:30 UTC
With latest Fedora 25 preview (kernel 4.8.3-300) and Wayland, there is some progress: my 4K screen display something but is still flickering every minute approximatively.

In logs I can read: [  137.523334] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

Reminder: I have a Dell XPS 13 9350 with 1.4.4 bios and A04 USB-C firmware + Google USB Type-C to DisplayPort Cable (https://store.google.com/product/usb_type_c_to_displayport_cable).

Please fix that, on a lot of laptop like mine USB-C is the only way to connect an external monitor. Also on latest kernel there is "just" the flickering to fix, so I guess we are not very far from getting that working correctly.
Comment 60 Mads 2016-10-29 07:48:36 UTC
Hm.. I'm using a 4k monitor with such a cable with a drm-intel-nightly kernel from last week, and that works fine (dell xps 15 9550).. I've experienced power well issues in dmesg if I boot the laptop with the monitor connected during boot though, that's a bit annoying.

My dell had backlight flickering issues too, but that was bios related..
Comment 61 Sébastien Deleuze 2016-10-29 08:20:59 UTC
I just upgraded to 4.8.4-301 kernel and there seems to be less flickering (I think I saw one during 15 minutes).
Comment 62 François Guerraz 2016-11-19 14:17:00 UTC
I know it probably won't help the developers but just to avoid users wasting their time, the latest 4.9.0-rc5-intel-drm-nightly-gaccd56d (2016-11-19) on Dell XPS 9350 does NOT fix the issue
Comment 63 Jani Saarinen 2016-12-09 08:50:46 UTC
Please check with latest kernel is better.
Comment 64 François Guerraz 2016-12-10 04:35:34 UTC
What branch?
Comment 65 Stepan Sigut 2016-12-12 09:41:23 UTC
latest intel drm nightly kernel (4.9.0-994) does not fix the problem
Comment 66 Mads 2016-12-12 10:29:42 UTC
Tested drm-intel-nightly f6a248e2507f98d7eb1f4fec8cfcbf685a33d289 (4.9.0-rc8+), and the DA200 dongle still can't output high resolutions yet. XPS 15 9550.

Are there any new CONFIG options in the kernel we should make sure are enabled? USB-C-stuff?

Why does USB-C -> DP work, but not USB-C -> DA200 -> HDMI? Are they not related at all? (I'm typing this on a 4k monitor connected through USB-C with a USB-C -> DP-dongle on the aforementioned XPS 15)
Comment 67 Ville Syrjala 2016-12-12 10:54:09 UTC
(In reply to Mads from comment #66)
> Tested drm-intel-nightly f6a248e2507f98d7eb1f4fec8cfcbf685a33d289
> (4.9.0-rc8+), and the DA200 dongle still can't output high resolutions yet.
> XPS 15 9550.
> 
> Are there any new CONFIG options in the kernel we should make sure are
> enabled? USB-C-stuff?

There are none. That's really the problem. There is no USB-C driver/framework which could tell us how the cable is configured to carry DP.

> 
> Why does USB-C -> DP work, but not USB-C -> DA200 -> HDMI? Are they not
> related at all? (I'm typing this on a 4k monitor connected through USB-C
> with a USB-C -> DP-dongle on the aforementioned XPS 15)

The number of required/used lanes may differ between the cases, and the cables may be configured to use a different number of lanes for DP in each case. That could explain why low resolution might work and high resolution might not (low res needs fewer lanes). dmesgs (w/ drm.debug=0xe) from both low and high res use cases on the bad dongle using a recent kernel could help prove that.

If you want to try a hideous hack, this might also help prove whether the number of used lanes is part of the problem:

diff --git a/drivers/gpu/drm/i915/intel_dp.c b/drivers/gpu/drm/i915/intel_dp.c
index db75bb924e48..3655e47faf61 100644
--- a/drivers/gpu/drm/i915/intel_dp.c
+++ b/drivers/gpu/drm/i915/intel_dp.c
@@ -158,6 +158,9 @@ static u8 intel_dp_max_lane_count(struct intel_dp *intel_dp)
        source_max = intel_dig_port->max_lanes;
        sink_max = drm_dp_max_lane_count(intel_dp->dpcd);
 
+       if (!is_edp(intel_dp))
+               sink_max = min(sink_max, 2);
+
        return min(source_max, sink_max);
 }
Comment 68 Mads 2016-12-12 11:32:09 UTC
Created attachment 128426 [details]
dmesg drm.debug=0xe from drm-intel-nightly 4.9.0-rc8+ before plugging da200
Comment 69 Mads 2016-12-12 11:35:05 UTC
Created attachment 128427 [details]
dmesg drm.debug=0xe from drm-intel-nightly 4.9.0-rc8+ after plugging da200 and setting 1920x1080
Comment 70 Mads 2016-12-12 11:39:29 UTC
Strange thing is.. I saw nothing in dmesg when I plugged in the DA200 dongle first, although it worked. I connected it to an old CRT monitor that defaults to 1024x768 (through HDMI by using an adapter). The output from da200_after1920x1080.log was after plugging the dongle and then running xrandr --output DP-1 --mode 1920x1080.

I applied your patch before doing all this.
Comment 71 Mads 2016-12-12 11:47:50 UTC
Your patch also made it impossible to choose 3840x2160@60Hz through USB-C -> DP, it maxes out at 30Hz. But I guess this is expected.
Comment 72 Mads 2016-12-12 11:51:52 UTC
Forgot to mention that 1920x1080 did not work this time either, but 1024x768 worked as usual.
Comment 73 Mads 2016-12-13 14:14:46 UTC
Someone else should verify this, but isn't the case that both on the thunderbolt dock WD15 and on the dongle DA200, the HDMI out does not work on high resolutions?

With WD15 at least I have to use the DisplayPort connector on the dock, I can't output high resolutions with the HDMI port on the dock (it's been a little while since I tested this, though).

I would guess that both the WD15 and the DA200 has got the same issue, but it isn't such a big deal with the WD15 because you've got DP on it.
Comment 74 Dimitrios Liappis 2016-12-13 14:36:10 UTC
> Someone else should verify this, but isn't the case that both on the thunderbolt dock WD15 and on the dongle DA200, the HDMI out does not work on high resolutions?

Confirmed. I use the DA200 (which doesn't have DP, only HDMI) and can only output to screens with <1080p resolution with all kernels so far on Ubuntu Xenial and FC24 + FC25 (right now on 4.8.13). VGA output works.

I think this issue is related to https://bugs.freedesktop.org/show_bug.cgi?id=94567#c27.
Comment 75 Jani Nikula 2016-12-13 14:49:52 UTC
IIUC the DA200 only supports up to 2048x1152 over HDMI. See "Tech Specs" at [1].

[1] http://accessories.ap.dell.com/sna/productdetail.aspx?c=sg&l=en&s=bsd&cs=sgbsd1&sku=470-abnl
Comment 76 Rien Heuver 2016-12-13 21:50:58 UTC
The tech specs might say they only work up to a certain resolution, but then the tech specs are wrong. Because the DA200 works fine on Windows (10) with a 2560x1440 resolution.
Comment 77 Jani Nikula 2016-12-14 15:21:26 UTC
(In reply to Rien Heuver from comment #76)
> The tech specs might say they only work up to a certain resolution, but then
> the tech specs are wrong. Because the DA200 works fine on Windows (10) with
> a 2560x1440 resolution.

At 60 Hz?
Comment 78 Mads 2016-12-14 19:15:54 UTC
I'm just interjecting, but the dongle doesn't work even at 1920x1080 @ 60Hz, so I don't know how relevant it is how it works on 2560x1440... maybe because of lanes?
Comment 79 Dimitrios Liappis 2016-12-21 12:38:04 UTC
> the dongle doesn't work even at 1920x1080 @ 60Hz

Confirmed, this is what I was referring at when mentioning earlier that the only thing that works for me in Linux with the DA200 are screens <1080p resolution. For example the dongle works on 1680x1050@60Hz panels for me as discussed in: https://bugs.freedesktop.org/show_bug.cgi?id=94567#c29.

Anything higher than that, like 1920x1080 @ 60Hz doesn't work for me though (which works fine on Windows 10).
Comment 80 s.illes79 2017-01-04 23:09:45 UTC
is this related to thi: https://bugs.freedesktop.org/show_bug.cgi?id=99137 

In short, when I use USB-C to HDMI adaptor it only ever worked when I connected it via HDMI to DVI, if I use HDMI to HDMI cable I get either black screen or some weird colours ...
Comment 81 Dimitrios Liappis 2017-01-09 09:07:47 UTC
> when I use USB-C to HDMI adaptor it only ever worked when I connected it via HDMI to DVI

I double checked a Dell XPS-13 with a DA-200 dongle, supplying a 22" 1920x1080 monitor over DVI using an HDMI->DVI adapter on the DA-200; no change compared to native HDMI, no output displayed what-so-ever.
Comment 82 Mads 2017-01-19 08:26:24 UTC
I just wonder - these new "USB Type-C Connector class" patches[1] pending for 4.10, what do they have in store for USB-C connections in Linux in general? Does it have any impact on this issue at all?

[1] http://www.mail-archive.com/linux-usb@vger.kernel.org/msg85946.html
Comment 83 instantcrush 2017-01-23 21:34:59 UTC
Hi everyone, I haven't got any converter yet and haven't tested this issue. However, I need to use an external monitor somehow. Will I have any problems with usb-c to VGA connector and full HD monitor?
Comment 84 Mads 2017-01-23 21:43:57 UTC
(In reply to instantcrush from comment #83)
> Hi everyone, I haven't got any converter yet and haven't tested this issue.
> However, I need to use an external monitor somehow. Will I have any problems
> with usb-c to VGA connector and full HD monitor?

1) Never use VGA if you can avoid it, it's an analog signal and is subject to interference and noise.
2) Full HD doesn't work through VGA either (with DA200).
3) Just get a dongle that has DisplayPort. A USB-C -> DisplayPort dongle can output at 4k @ 60Hz, so that will work nicely. The DA200 dongle does not have DisplayPort, unfortunately.
Comment 85 instantcrush 2017-01-23 23:36:47 UTC
(In reply to Mads from comment #84)
Thanks for the suggestion, does it require any modification on kernel or etc.?
Comment 86 Daniel 2017-01-27 12:08:43 UTC
(In reply to Mads from comment #82)
> I just wonder - these new "USB Type-C Connector class" patches[1] pending
> for 4.10, what do they have in store for USB-C connections in Linux in
> general? Does it have any impact on this issue at all?
> 
> [1] http://www.mail-archive.com/linux-usb@vger.kernel.org/msg85946.html

How can I get that into my system to test it out? Is there .deb package for ubuntu for that?
Comment 87 smz 2017-02-03 22:48:18 UTC
I think I'm having a related problem. I have a laptop (Dell Precision 5510) with two graphics cards (nvidia and Intel):

00:02.0 VGA compatible controller: Intel Corporation Skylake Integrated Graphics (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107GLM [Quadro M1000M] (rev a2)

The Intel GPU is currently the one in use.

This laptop has a 4K display, and I have two external monitors (1920x1080) connected via a USB-C docking station. The docking station has both a DisplayPort and an HDMI port, which is how the monitors are connected. I've set the laptop monitor to 1920x1080 since my desktop environment doesn't support different DPIs on different monitors.

Frequently, when I plug or unplug the USB-C docking station, the whole machine just hangs. I can't change to a tty, and I have to hard reset to use the machine again.

When the machine freezes, similar looking kernel messages are left in the log:

Feb  3 13:29:51 hostname kernel: [73609.775796] Hardware name: Dell Inc. Precision 5510/0N8J4R, BIOS 1.2.18 12/01/2016
Feb  3 13:29:51 hostname kernel: [73609.775802] Workqueue: events drm_dp_destroy_connector_work [drm_kms_helper]
Feb  3 13:29:51 hostname kernel: [73609.775804]  0000000000000286 000000003697ffc2 ffff8802240f7a28 ffffffff813f7c63
Feb  3 13:29:51 hostname kernel: [73609.775805]  ffff8802240f7a70 ffffffffc02ee9a0 ffff8802240f7a60 ffffffff810812d2
Feb  3 13:29:51 hostname kernel: [73609.775807]  ffff8804a37ae000 ffff8804a2d0a148 ffff8804a37af000 ffff8804a349a378
Feb  3 13:29:51 hostname kernel: [73609.775809] Call Trace:
Feb  3 13:29:51 hostname kernel: [73609.775813]  [<ffffffff813f7c63>] dump_stack+0x63/0x90
Feb  3 13:29:51 hostname kernel: [73609.775816]  [<ffffffff810812d2>] warn_slowpath_common+0x82/0xc0
Feb  3 13:29:51 hostname kernel: [73609.775818]  [<ffffffff8108136c>] warn_slowpath_fmt+0x5c/0x80
Feb  3 13:29:51 hostname kernel: [73609.775831]  [<ffffffffc020ffec>] skl_update_other_pipe_wm+0x16c/0x180 [i915_bpo]
Feb  3 13:29:51 hostname kernel: [73609.775843]  [<ffffffffc0210185>] skl_update_wm+0x185/0x610 [i915_bpo]
Feb  3 13:29:51 hostname kernel: [73609.775855]  [<ffffffffc0213f0e>] intel_update_watermarks+0x1e/0x30 [i915_bpo]
Feb  3 13:29:51 hostname kernel: [73609.775873]  [<ffffffffc027f3f8>] intel_atomic_commit+0x448/0x14a0 [i915_bpo]
Feb  3 13:29:51 hostname kernel: [73609.775887]  [<ffffffffc00d1bde>] ? drm_atomic_check_only+0x18e/0x590 [drm]
Feb  3 13:29:51 hostname kernel: [73609.775898]  [<ffffffffc00d2017>] drm_atomic_commit+0x37/0x60 [drm]
Feb  3 13:29:51 hostname kernel: [73609.775903]  [<ffffffffc0146dc6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
Feb  3 13:29:51 hostname kernel: [73609.775921]  [<ffffffffc02a2bf5>] intel_dp_destroy_mst_connector+0x65/0x100 [i915_bpo]
Feb  3 13:29:51 hostname kernel: [73609.775925]  [<ffffffffc0142a0f>] drm_dp_destroy_connector_work+0xaf/0x150 [drm_kms_helper]
Feb  3 13:29:51 hostname kernel: [73609.775928]  [<ffffffff8109a515>] process_one_work+0x165/0x480
Feb  3 13:29:51 hostname kernel: [73609.775930]  [<ffffffff8109a87b>] worker_thread+0x4b/0x4c0
Feb  3 13:29:51 hostname kernel: [73609.775932]  [<ffffffff8109a830>] ? process_one_work+0x480/0x480
Feb  3 13:29:51 hostname kernel: [73609.775933]  [<ffffffff8109a830>] ? process_one_work+0x480/0x480
Feb  3 13:29:51 hostname kernel: [73609.775935]  [<ffffffff810a0ba8>] kthread+0xd8/0xf0
Feb  3 13:29:51 hostname kernel: [73609.775937]  [<ffffffff810a0ad0>] ? kthread_create_on_node+0x1e0/0x1e0
Feb  3 13:29:51 hostname kernel: [73609.775939]  [<ffffffff8183898f>] ret_from_fork+0x3f/0x70
Feb  3 13:29:51 hostname kernel: [73609.775941]  [<ffffffff810a0ad0>] ? kthread_create_on_node+0x1e0/0x1e0
Feb  3 13:29:51 hostname kernel: [73609.775942] ---[ end trace e63971e069cb2256 ]---

I will attach a more complete log with the above error.

I'm running Linux Mint MATE 18.1, currently with kernel version 4.4.0-62-generic. I have tried using the nVidia GPU instead (with the official nvidia driver package, version 378.09), but the machine still freezes with similar Intel-related kernel errors. I will attach a log for this too.

Is this the same bug? If so, can I do anything about it? Thanks.
Comment 88 smz 2017-02-03 22:50:17 UTC
Created attachment 129324 [details]
Kernel log from monitor plug/unplug hang with Intel GPU in use
Comment 89 smz 2017-02-03 22:50:37 UTC
Created attachment 129325 [details]
Kernel log from monitor plug/unplug hang with nVidia GPU in use
Comment 90 instantcrush 2017-02-04 02:36:01 UTC
(In reply to smz from comment #87)
Do you have aby problems with DP connection? If you have a cable.
Comment 91 Jani Nikula 2017-02-06 09:54:46 UTC
Pleaes try current drm-tip branch of https://cgit.freedesktop.org/drm-tip. There's a recent fix for DP MST.
Comment 92 Mads 2017-02-06 14:31:11 UTC
Tested just now drm-tip with this kernel:

> commit e7d4ec79b24f82431f34d070d16772538422fb13
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Mon Feb 6 11:50:29 2017 +0000
> 
>     drm-tip: 2017y-02m-06d-11h-49m-42s UTC integration manifest

Kernel version reported: 4.10.0-rc7+

Dell XPS 15 9550, DA200. Tested HDMI out on the dongle.

Still the same issue, unfortunately. Cannot get past ~1280x720 on the monitor tested.
Comment 93 instantcrush 2017-02-09 15:07:17 UTC
Hi all, I have type to displayport convertor and I have no problem with it. However, today I bought <a href src="http://www.swapp.com.tr/swapp/dosyalar/urun/82/112.jpg?m=1476287505">this</a> product and connect my converter to s-link's type c port but I can't get output on my monitor. How can I solve this problem?
Comment 94 Jani Nikula 2017-02-14 13:56:04 UTC
(In reply to instantcrush from comment #93)
> Hi all, I have type to displayport convertor and I have no problem with it.
> However, today I bought <a href
> src="http://www.swapp.com.tr/swapp/dosyalar/urun/82/112.
> jpg?m=1476287505">this</a> product and connect my converter to s-link's type
> c port but I can't get output on my monitor. How can I solve this problem?

Please do not add more than one problem in one bug report.
Comment 95 Mads 2017-02-21 11:18:41 UTC
Tested DP MST with a fresh drm-tip today (commit 0a03ea9496b49746b4964d05cc1f483385d1df8a), and it seems like daisy chaining triggers the same kind of behaviour as with the DA200 dongle, so maybe the error is related.

When Daisy chaining two Dell U2715H monitors through DisplayPort, the last monitor in the chain cannot get a resolution higher than the range previously mentioned here (1024x768 works, 1600x1200 does not, 1920x1080 does not).
Comment 96 Mads 2017-03-01 09:35:59 UTC
With so many users having bought Dell XPS computers because of its good Linux support, it is a bit weird that this issue is not fixed yet.

Surely there must be someone at Intel interested in making sure that Linux actually is a viable option for those who need HDMI out over USB-C, and daisy chaining monitors over USB-C? This issue is over one years old now :(
Comment 97 Elio 2017-03-07 20:14:38 UTC
This topic is really interesting, i was trying to reproduce the issue with a SKL NuC6i7KYK , having the following messages everytime that i connect the USB-C dongle:

(03:09 PM) [gfx@gfx-desktop] [~]$ : dmesg | grep xhci_hcd
[  491.597534] xhci_hcd 0000:3c:00.0: remove, state 1
[  491.598091] xhci_hcd 0000:3c:00.0: Host halt failed, -19
[  491.598093] xhci_hcd 0000:3c:00.0: Host not accessible, reset failed.
[  491.598094] xhci_hcd 0000:3c:00.0: USB bus 4 deregistered
[  491.598102] xhci_hcd 0000:3c:00.0: remove, state 4
[  491.598289] xhci_hcd 0000:3c:00.0: USB bus 3 deregistered
[  501.850414] xhci_hcd 0000:3c:00.0: xHCI Host Controller
[  501.850418] xhci_hcd 0000:3c:00.0: new USB bus registered, assigned bus number 3
[  501.851552] xhci_hcd 0000:3c:00.0: hcc params 0x200077c1 hci version 0x110 quirks 0x00009810
[  501.852021] xhci_hcd 0000:3c:00.0: xHCI Host Controller
[  501.852024] xhci_hcd 0000:3c:00.0: new USB bus registered, assigned bus number 4
[  502.180089] usb 4-1: new SuperSpeed USB device number 2 using xhci_hcd


Having the following output in xrandr
: xrandr
Screen 0: minimum 320 x 200, current 3840 x 2160, maximum 8192 x 8192
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-3 connected primary 3840x2160+0+0 (normal left inverted right x axis y axis) 621mm x 341mm
   3840x2160     30.00*
   2560x1600     59.97
   2560x1440     59.95
   1920x1080     60.00    60.00    50.00    59.94
   1920x1080i    60.00    50.00    59.94
   1680x1050     59.88
   1280x1024     75.02    60.02
   1440x900      59.90
   1280x960      60.00
   1152x864      75.00
   1280x720      60.00    50.00    59.94
   1440x576      50.00
   1024x768      75.03    70.07    60.00
   1440x480      60.00    59.94
   832x624       74.55
   800x600       72.19    75.00    60.32    56.25
   720x576       50.00
   720x480       60.00    59.94
   640x480       75.00    72.81    66.67    60.00    59.94
   720x400       70.08
HDMI-2 disconnected (normal left inverted right x axis y axis)
  848x480 (0x104) 33.750MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock  31.02KHz
        v: height  480 start  486 end  494 total  517           clock  60.00Hz

Kernel Version: 4.10.
Comment 98 Clinton Taylor 2017-03-16 23:51:07 UTC
The Dell DA200 dongle requires clock recovery M and N values to be transmitted as < 16 bit values. Reducing the M and N values to 16 bit values from the i915 allow the DA200 to sync to the data link.
Comment 99 Mads 2017-03-17 09:31:14 UTC
I'd be more that willing to test a patch/git branch here!

Would be extremely nice if my DA200 suddenly became useful :)
Comment 100 Mads 2017-03-18 09:56:13 UTC
(In reply to Mads from comment #95)
> Tested DP MST with a fresh drm-tip today (commit
> 0a03ea9496b49746b4964d05cc1f483385d1df8a), and it seems like daisy chaining
> triggers the same kind of behaviour as with the DA200 dongle, so maybe the
> error is related.
> 
> When Daisy chaining two Dell U2715H monitors through DisplayPort, the last
> monitor in the chain cannot get a resolution higher than the range
> previously mentioned here (1024x768 works, 1600x1200 does not, 1920x1080
> does not).

It just dawned on me that I tested this through a Dell WD15 docking, maybe DP MST works if you don't use that (maybe the WD15 got the same data link issue as DA200).

I got a standard non-Dell USB-C to DP dongle that I know works with 4k @ 60Hz, I can try if DP MST works with that on monday.
Comment 101 Mads 2017-03-22 08:33:15 UTC
(In reply to Mads from comment #100)
> (In reply to Mads from comment #95)
> > Tested DP MST with a fresh drm-tip today (commit
> > 0a03ea9496b49746b4964d05cc1f483385d1df8a), and it seems like daisy chaining
> > triggers the same kind of behaviour as with the DA200 dongle, so maybe the
> > error is related.
> > 
> > When Daisy chaining two Dell U2715H monitors through DisplayPort, the last
> > monitor in the chain cannot get a resolution higher than the range
> > previously mentioned here (1024x768 works, 1600x1200 does not, 1920x1080
> > does not).
> 
> It just dawned on me that I tested this through a Dell WD15 docking, maybe
> DP MST works if you don't use that (maybe the WD15 got the same data link
> issue as DA200).
> 
> I got a standard non-Dell USB-C to DP dongle that I know works with 4k @
> 60Hz, I can try if DP MST works with that on monday.

My suspicions were correct, with a standard non-dell USB-C to DP dongle, DP MST works like a charm. Writing this reply with two Dell U2715H monitors connected, both with 2560x1440@60Hz.

So, making DA200 work with Linux might fix lots of docking issues :)
Comment 102 Mads 2017-03-23 09:34:22 UTC
Just to add to that, with DP out on my Dell WD 15 docking, I cannot get over 2560x1440 @ 60 Hz on a 4k monitor. Tried 3840x2160 at these vertical refresh rates: 30.00, 25.00, 24.00, 29.97, 23.98, but none of them worked.

I really hope this is basically the same issue, and that a fix for DA200 also will fix this too...
Comment 104 Jani Nikula 2017-03-23 12:33:45 UTC
(In reply to Mads from comment #102)
> Just to add to that, with DP out on my Dell WD 15 docking, I cannot get over
> 2560x1440 @ 60 Hz on a 4k monitor. Tried 3840x2160 at these vertical refresh
> rates: 30.00, 25.00, 24.00, 29.97, 23.98, but none of them worked.
> 
> I really hope this is basically the same issue, and that a fix for DA200
> also will fix this too...

If DA200 is not involved in your setup, please do file new bugs instead of hollering "me too" here. It's *much* easier to resolve bugs as duplicates than detangle a bug with multiple issues. Thank you.
Comment 105 François Guerraz 2017-03-23 14:24:53 UTC
(In reply to Jani Nikula from comment #103)
> Patch to try
> http://patchwork.freedesktop.org/patch/msgid/1490225256-11667-1-git-send-
> email-clinton.a.taylor@intel.com

It works! Thank you very much. Got a full HD screen connected to my XPS 13 / DA200 via HDMI.
Comment 106 Rien Heuver 2017-03-23 14:35:44 UTC
That's great news! From what I understand (and my knowledge on this is limited), using this patch requires to recompile the kernel. Any tips on acquiring this fix without having to do that? What's the estimated schedule for this fix appearing in a kernel mainline build for example? Any ideas are welcome, but either way it's great to hear this issue is getting fixed :).
Comment 107 DS 2017-03-23 14:37:37 UTC
(In reply to Rien Heuver from comment #106)
> That's great news! From what I understand (and my knowledge on this is
> limited), using this patch requires to recompile the kernel. Any tips on
> acquiring this fix without having to do that? What's the estimated schedule
> for this fix appearing in a kernel mainline build for example? Any ideas are
> welcome, but either way it's great to hear this issue is getting fixed :).

I had the same question...is DKMS a possibility?
Comment 108 Jani Nikula 2017-03-23 14:42:05 UTC
The patch is currently in review. It's a workaround, and it impacts all DP sinks, not just the problematic ones. Thus, we need to be careful about merging it, and extra careful about backporting it to stable kernels.

If we agree on the approach of the patch, I expect it would be included in v4.11. I expect the release will be in about a month or so.
Comment 109 François Guerraz 2017-03-23 14:46:04 UTC
If you're running on Arch (or just want to extract the binaries from the archives, which should be easy) and you're trustful and adventurous, you can refer to my other post on Arch forums [1] and download the kernel I've compiled with this patch.

[1] https://bbs.archlinux.org/viewtopic.php?pid=1699555#p1699555
Comment 110 Mads 2017-03-23 14:52:47 UTC
It works here too with my DA200, fantastic work :)

Sorry for spamming up the bug report. HDMI out on my WD15 docking works now too, but I think it did so before too...

I don't even know if you're supposed to be able to run 4k @ 60Hz through a WD15 docking... If it is, I guess I'll have to write another bug report.

Again, thanks for finally fixing this!
Comment 111 Jani Nikula 2017-03-23 15:08:34 UTC
(In reply to Mads from comment #110)
> Again, thanks for finally fixing this!

FWIW, as noted in comment #98, the bug is really in the dongle, and the patch is a workaround.
Comment 112 PJ 2017-03-23 23:15:59 UTC
(In reply to Jani Nikula from comment #111)
> (In reply to Mads from comment #110)
> > Again, thanks for finally fixing this!
> 
> FWIW, as noted in comment #98, the bug is really in the dongle, and the
> patch is a workaround.

I see in the linked thread there that you are thinking of limiting the fix to this specific device. So I want to say that I seen it in other devices too (mostly noname tb3 to hdmi or displayport cables). But for example the cable I am using how has multiple lanes so while it can't do 5.4 on one lane in linux, it can do HD resolution because of multiple lanes as long as I disable the higher speed support in my display (otherwise it goes bonkers under linux too).
Comment 113 DS 2017-03-23 23:45:15 UTC
> http://patchwork.freedesktop.org/patch/msgid/1490225256-11667-1-git-send-
> email-clinton.a.taylor@intel.com

I tried to build a DKMS module with the patch from (#103). Ubuntu 16.10, kernel 4.10.3. 

Downloaded the source for that ubuntu kernel, grabbed the i915 code, applied the patch, and then dkms add, build, and install. dkms status said it was all successful, but even after reboot it didn't seem to make any difference.

Just looking for a sanity check before I spend too much time on this: should DKMS work for this type of driver?
Comment 114 Jani Nikula 2017-03-24 07:47:47 UTC
(In reply to PJ from comment #112)
> I see in the linked thread there that you are thinking of limiting the fix
> to this specific device. So I want to say that I seen it in other devices
> too (mostly noname tb3 to hdmi or displayport cables). But for example the
> cable I am using how has multiple lanes so while it can't do 5.4 on one lane
> in linux, it can do HD resolution because of multiple lanes as long as I
> disable the higher speed support in my display (otherwise it goes bonkers
> under linux too).

They are possibly using the same chip as DA200.
Comment 115 Jani Nikula 2017-03-24 11:37:31 UTC
Mads, François, whoever is able to test: please try [1] *instead* of other patches. I think the first hunk should be enough, only try the hack part if the first part doesn't work.

[1] https://lists.freedesktop.org/archives/intel-gfx/2017-March/124077.html
Comment 116 Mads 2017-03-24 12:02:04 UTC
(In reply to Jani Nikula from comment #115)
> Mads, François, whoever is able to test: please try [1] *instead* of other
> patches. I think the first hunk should be enough, only try the hack part if
> the first part doesn't work.
> 
> [1] https://lists.freedesktop.org/archives/intel-gfx/2017-March/124077.html

I undid your first patch and then patched only the first hunk, and my DA200 still works nicely at 1920x1080 @ 60 Hz :)
Comment 117 PJ 2017-03-24 17:01:06 UTC
Can confirm as well, the first hunk fixes the problem for me.
Comment 118 François Guerraz 2017-03-24 20:21:09 UTC
2nd set of patches works great with the DA200
Comment 119 Lev Popov 2017-03-24 22:08:37 UTC
Patch works great for my DA200, instruction to apply it on Ubuntu 16.04 without recompiling the kernel:

$ sudo -i
$ apt-get install linux-source-4.4.0
$ cp -R /usr/src/linux-source-4.4.0/ubuntu/i915 /usr/src/i915_bpo-usbc
$ cd /usr/src/i915_bpo-usbc
$ cat << EOF > dkms.conf 
PACKAGE_NAME="i915_bpo"
PACKAGE_VERSION="usbc"
AUTOINSTALL=yes
REMAKE_INITRD=yes
DEST_MODULE_LOCATION="/updates"
BUILD_EXCLUSIVE_KERNEL="^4.4.*"
EOF
$ sed -i 's#../../drivers/platform/x86/intel_ips.h#../../linux-source-4.4.0/drivers/platform/x86/intel_ips.h#g' intel_pm.c
$ patch -p5 < /tmp/drm-i915-Reduce-Data-Link-N-value-for-1-lane-DP--hdmi-converters.patch
$ dkms add -m i915_bpo -v usbc
$ dkms build -m i915_bpo -v usbc
$ dkms install -m i915_bpo -v usbc
$ reboot
Comment 120 Lev Popov 2017-03-24 22:26:35 UTC
Sorry, missed extracting kernel sources, fixed instructions:

$ sudo -i
$ apt-get install linux-source-4.4.0
$ cd /usr/src
$ tar -jxf linux-source-4.4.0.tar.bz2
$ cp -R ./linux-source-4.4.0/ubuntu/i915 ./i915_bpo-usbc
$ cd i915_bpo-usbc
$ cat << EOF > dkms.conf 
PACKAGE_NAME="i915_bpo"
PACKAGE_VERSION="usbc"
AUTOINSTALL=yes
REMAKE_INITRD=yes
DEST_MODULE_LOCATION="/updates"
BUILD_EXCLUSIVE_KERNEL="^4.4.*"
EOF
$ sed -i 's#../../drivers/platform/x86/intel_ips.h#../../linux-source-4.4.0/drivers/platform/x86/intel_ips.h#g' intel_pm.c
$ wget https://patchwork.freedesktop.org/patch/145853/raw/ -O /tmp/drm-i915.patch
$ patch -p5 < /tmp/drm-i915.patch
$ dkms add -m i915_bpo -v usbc
$ dkms build -m i915_bpo -v usbc
$ dkms install -m i915_bpo -v usbc
$ reboot
Comment 121 Lev Popov 2017-03-24 23:09:27 UTC
(In reply to Jani Nikula from comment #115)
> Mads, François, whoever is able to test: please try [1] *instead* of other
> patches. I think the first hunk should be enough, only try the hack part if
> the first part doesn't work.
> 
> [1] https://lists.freedesktop.org/archives/intel-gfx/2017-March/124077.html

Second patch works with DA200 as well, applied only the first hunk.

I'm using Dell XPS 13 9360 with ubuntu 16.04 and stock kernel.
Comment 122 DS 2017-03-24 23:14:54 UTC
(In reply to Lev Popov from comment #119)
> Patch works great for my DA200, instruction to apply it on Ubuntu 16.04
> without recompiling the kernel:
Thanks! works for me now too...I was so close, my dkms.conf wasn't quite right. Ubuntu 16.10, kernel 4.10.3.

I'm seeing some weird background ghosting from dragging windows on the HDMI display though. Very minor issue, not sure if it's related. Links to screenshots:
https://drive.google.com/open?id=0Bw5coEeAQX6kUlNqb0lyU3lJM1k
https://drive.google.com/open?id=0Bw5coEeAQX6kLU9PbjNhOTQxMGs
Comment 123 Igor Krivenko 2017-03-24 23:33:50 UTC
The first hunk from https://lists.freedesktop.org/archives/intel-gfx/2017-March/124077.html has fixed HDMI output from my DA200 connected to XPS 13 9350.

Thanks a lot!

(gentoo-sources kernel 4.10.4)
Comment 124 Rien Heuver 2017-03-26 18:24:51 UTC
Can anyone explain how I would go about doing this on Ubuntu (gnome) 16.10 (running (regular?) 4.8.0 kernel? Thanks!
Comment 125 yann 2017-03-27 16:23:45 UTC
(In reply to Rien Heuver from comment #124)
> Can anyone explain how I would go about doing this on Ubuntu (gnome) 16.10
> (running (regular?) 4.8.0 kernel? Thanks!

Rien Heuver, I suggest that you proceed like Lev Popov on Comment #120 using dkms (https://wiki.archlinux.org/index.php/Dynamic_Kernel_Module_Support)

- you have to get kernel source for your Ubuntu via apt-get (package manager),
- download Jani's patch,
- use dkms with the applied patch to finally build and install on your system,
- finally reboot :)
Comment 126 Jani Nikula 2017-03-27 18:46:45 UTC
Posted the patch with a proper commit message. I tried to capture all the Tested-bys from here where I knew this change was tested. Thanks for all the testing!

http://patchwork.freedesktop.org/patch/msgid/1490614405-23337-1-git-send-email-jani.nikula@intel.com
Comment 127 Rien Heuver 2017-03-28 07:56:54 UTC
@yann I tried to go through Popov's steps, but when I installed linux-source-4.8.0, there was no directory ubuntu/i915/. So that's were I failed to continue. What am I doing wrong here?
Comment 128 yann 2017-03-28 08:20:18 UTC
(In reply to Rien Heuver from comment #127)
> @yann I tried to go through Popov's steps, but when I installed
> linux-source-4.8.0, there was no directory ubuntu/i915/. So that's were I
> failed to continue. What am I doing wrong here?

Once you have uncompressed/unpacked the kernel source, the source code folder should be /usr/src/linux-source-4.8.0/ and the i915 component is located in drivers/gpu/drm/i915/
Therefore the full path should be: /usr/src/linux-source-4.8.0/drivers/gpu/drm/i915/
Comment 129 Rien Heuver 2017-03-28 09:33:23 UTC
@yann thanks, I got to do that now. It now crashes on the build command with this in the make.log:
/var/lib/dkms/i915_bpo/usbc/build/intel_pm.c:32:45: fatal error: ../../../platform/x86/intel_ips.h: No such file or directory
I don't know what the sed-command exactly does, but should I have changed something in there? The file intel_ips.h exists in linux-sources-4.8.0/drivers/platform/x86 (fyi). I feel like I'm very close to using my new monitor :P.
Comment 130 yann 2017-03-28 12:36:12 UTC
(In reply to Rien Heuver from comment #129)
> @yann thanks, I got to do that now. It now crashes on the build command with
> this in the make.log:
> /var/lib/dkms/i915_bpo/usbc/build/intel_pm.c:32:45: fatal error:
> ../../../platform/x86/intel_ips.h: No such file or directory
> I don't know what the sed-command exactly does, but should I have changed
> something in there? The file intel_ips.h exists in
> linux-sources-4.8.0/drivers/platform/x86 (fyi). I feel like I'm very close
> to using my new monitor :P.

here sed is allowing you to do some string substitution automatically:
it replaces all occurrences of ../../drivers/platform/x86/intel_ips.h string by ../../linux-source-4.4.0/drivers/platform/x86/intel_ips.h

in intel_pm.c file.

However, in you case, you are not using 4.4.0 kernel and the #include is not ../../drivers/platform/x86/intel_ips.h  but ../../../platform/x86/intel_ips.h 
so the corresponding sed command line for a 4.8.0 kernel should be:
 sed -i 's#../../../platform/x86/intel_ips.h#../../linux-source-4.8.0/drivers/platform/x86/intel_ips.h#g' intel_pm.c

but of course it depends where your files / folders are located
Comment 131 Rien Heuver 2017-03-28 13:46:37 UTC
@yann I tried that, but now it gave me the following error:
ERROR (dkms apport): binary package for i915_bpo: usbc not found
Error!  Build of i915_bpo.ko failed for: 4.8.0-41-generic (x86_64)
I looked in the make.log again, but that didn't show any errors (it starts with entering /usr/src/linux-headers-<version> end it ends with leaving that directory).
I can't really figure out what's going wrong here, so help would once again be greatly appreciated.
Comment 132 Lev Popov 2017-03-28 13:50:34 UTC
i915_bpo is a driver backported to 4.4.0. For 4.8.0 you should replace all occurrences of i915_bpo to just i915, also add this line to dkms.conf:
BUILT_MODULE_NAME="i915"
Comment 133 Rien Heuver 2017-03-28 13:55:49 UTC
Created attachment 130503 [details]
attachment-28966-0.html

That didn't do much (unfortunately):
ERROR (dkms apport): binary package for i915: usbc not found
Error! Bad return status for module build on kernel: 4.8.0-41-generic
(x86_64)

On Tue, Mar 28, 2017 at 3:50 PM <bugzilla-daemon@freedesktop.org> wrote:

> *Comment # 132 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c132>
> on bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from Lev
> Popov <leo@nabam.net> *
>
> i915_bpo is a driver backported to 4.4.0. For 4.8.0 you should replace all
> occurrences of i915_bpo to just i915, also add this line to dkms.conf:
> BUILT_MODULE_NAME="i915"
>
> ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 134 Jani Nikula 2017-03-28 14:29:19 UTC
I regret to ask you, but everyone please stick to diagnosing, debugging and fixing the bug the bug at hand. This is a bug report, not a discussion forum on how to build distro specific kernels. The more there are comments, the longer it takes for developers to get at the crux of the issues, and the more likely it is that the important comments are overlooked. Thank you for your understanding.
Comment 135 Jani Nikula 2017-03-28 15:32:32 UTC
Fixed in drm-intel-next-queued and drm-tip by

commit 9a86cda07af2c63649932f0a4fc757701ef54c42
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Mar 27 14:33:25 2017 +0300

    drm/i915/dp: reduce link M/N parameters

As I wrote in the patch notes, 

"This is cc: stable material, but due to the slight risk of regressions
(there's always the risk, however small, when you change parameters that
affect all sinks) I'd prefer letting this simmer for a while, and asking
for an explicit stable backport afterwards."

I am hesitant to immediately queued this for v4.11-rc, as the change affects all machines that have DP or FDI and Intel graphics. We need to give it more time in our upstream trees first. This will land upstream v4.12-rc1 at the latest.
Comment 136 tranceash 2017-03-29 00:12:03 UTC
Find it ridiculous this bug has taken so long to fix. I threw my dongle out as the i915 intel drivers have been just crap.
Comment 137 Jani Nikula 2017-03-29 08:02:12 UTC
(In reply to tranceash from comment #136)
> Find it ridiculous this bug has taken so long to fix. I threw my dongle out
> as the i915 intel drivers have been just crap.

Please take your unwarranted vitriol elsewhere. The bug is in the dongle firmware, and we worked around the issue in our driver to cater for it.
Comment 138 Rien Heuver 2017-03-29 13:10:28 UTC
Patch doesn't work for me.
Ubuntu 16.10, kernel 4.8
Dell XPS 13 9350
Tested a Samsung 22" screen on 1680x1050 and 1280x1024, latter on both 75Hz and 60Hz.
Time to re-open? Any more info I can supply to help out?
Comment 139 Jani Nikula 2017-03-29 13:40:47 UTC
(In reply to Rien Heuver from comment #138)
> Patch doesn't work for me.
> Ubuntu 16.10, kernel 4.8
> Dell XPS 13 9350
> Tested a Samsung 22" screen on 1680x1050 and 1280x1024, latter on both 75Hz
> and 60Hz.
> Time to re-open? Any more info I can supply to help out?

Please try drm-tip branch of https://cgit.freedesktop.org/drm/drm-tip
Comment 140 Lev Popov 2017-03-29 17:55:26 UTC
Created attachment 130538 [details]
attachment-31548-0.html

https://lists.freedesktop.org/archives/intel-gfx/2017-March/124077.html

On Wed, Mar 29, 2017, 15:41 <bugzilla-daemon@freedesktop.org> wrote:

> *Comment # 139 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c139>
> on bug 93578 <https://bugs.freedesktop.org/show_bug.cgi?id=93578> from Jani
> Nikula <jani.nikula@intel.com> *
>
> (In reply to Rien Heuver from comment #138 <https://bugs.freedesktop.org/show_bug.cgi?id=93578#c138>)
>
> > Patch doesn't work for me.
> > Ubuntu 16.10, kernel 4.8
> > Dell XPS 13 9350
> > Tested a Samsung 22" screen on 1680x1050 and 1280x1024, latter on both 75Hz
> > and 60Hz.
> > Time to re-open? Any more info I can supply to help out?
>
>
>
> Please try drm-tip branch of https://cgit.freedesktop.org/drm/drm-tip
>
> ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
> --
Key fingerprint = F7C7 A6B5 DAFF E84C 2DD9  B278 DA3D F0BA 5F4B D76F
https://keybase.io/nabam
Comment 141 Lev Popov 2017-03-29 17:57:45 UTC
Sorry, wrong email address :(
Comment 142 Kenneth Aasan 2017-04-03 11:17:38 UTC
This worked for kernel 4.8

$ sudo -i
$ apt-get install linux-source-4.8.0
$ cd /usr/src
$ tar -jxf linux-source-4.8.0.tar.bz2
$ cp -R ./linux-source-4.8.0/ubuntu/i915 ./i915-usbc
$ cd i915-usbc
$ cat << EOF > dkms.conf
PACKAGE_NAME="i915"
PACKAGE_VERSION="usbc"
AUTOINSTALL=yes
REMAKE_INITRD=yes
DEST_MODULE_LOCATION="/updates"
BUILD_EXCLUSIVE_KERNEL="^4.8.*"
EOF
$ sed -i 's#../../../platform/x86/intel_ips.h#../../linux-source-4.8.0/drivers/platform/x86/intel_ips.h#g' intel_pm.c
$ wget https://patchwork.freedesktop.org/patch/145853/raw/ -O /tmp/drm-i915.patch
$ patch -p5 < /tmp/drm-i915.patch
$ dkms add -m i915 -v usbc
$ dkms build -m i915 -v usbc
$ dkms install -m i915 -v usbc
$ reboot
Comment 143 Kseniya 2017-04-03 11:25:16 UTC
(In reply to Kenneth Aasan from comment #142)
> This worked for kernel 4.8
> 
> $ sudo -i
> $ apt-get install linux-source-4.8.0
> $ cd /usr/src
> $ tar -jxf linux-source-4.8.0.tar.bz2
> $ cp -R ./linux-source-4.8.0/ubuntu/i915 ./i915-usbc
> $ cd i915-usbc
> $ cat << EOF > dkms.conf
> PACKAGE_NAME="i915"
> PACKAGE_VERSION="usbc"
> AUTOINSTALL=yes
> REMAKE_INITRD=yes
> DEST_MODULE_LOCATION="/updates"
> BUILD_EXCLUSIVE_KERNEL="^4.8.*"
> EOF
> $ sed -i
> 's#../../../platform/x86/intel_ips.h#../../linux-source-4.8.0/drivers/
> platform/x86/intel_ips.h#g' intel_pm.c
> $ wget https://patchwork.freedesktop.org/patch/145853/raw/ -O
> /tmp/drm-i915.patch
> $ patch -p5 < /tmp/drm-i915.patch
> $ dkms add -m i915 -v usbc
> $ dkms build -m i915 -v usbc
> $ dkms install -m i915 -v usbc
> $ reboot

You should also add BUILT_MODULE_NAME[0]="i915" to dkms.conf or dkms will be unable to rebuild the module on the next upgrade.
Comment 144 Jani Nikula 2017-04-03 17:55:14 UTC
*** Bug 94567 has been marked as a duplicate of this bug. ***
Comment 145 Roberto C. Sánchez 2017-04-06 17:01:22 UTC
I just tried this patch on Debian Stretch with Linux 4.9 and it worked.  The only differences were the directory for the kernel source (4.9 instead of 4.8), the placement of the i915 directory in the kernel source, and I had to adjust the patch to account for the different kernel source directory for the location of the header.

Nice work and thanks to everyone who was involved in getting the work around put together.
Comment 146 Daniel 2017-05-01 20:28:22 UTC
Works fine with intel-drm kernel 4.11.0-997-generic #201704182244 SMP
Comment 148 Dimitrios Liappis 2017-08-15 10:58:20 UTC
Today 4.12.5 became available for Fedora-26 (4.12.5-300.fc26.x86_64) and I tested the DA-200 Dell dongle for the XPS-13 9350 with an external display and it worked fine.

Thank you for your work on this.
Comment 149 Daniele Albrizio 2017-09-06 22:52:13 UTC
Well, I'm sorry, but new ubuntu kernels did not fix the DA200 behaviour in my case (I use a Samsung B523WS monitor and dell XPS 13) i tried kernel_upgrade_4_13_rc4 and the new   kernel_upgrade_4_13, but the result is a plethora of syslog failures and blank screen on samsung monitor.

When I connect the dongle I get this messages:
https://pastebin.com/L6DsVDhq

When I connect the HDMI cable I get this messages:
https://pastebin.com/0wpn6rZy

The main error seems to be:
 [drm:intel_dp_get_link_train_fallback_values [i915]] *ERROR* Link Training Unsuccessful

This is the xrandr output:

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
eDP-1 connected primary 1024x768+0+0 (normal left inverted right x axis y axis) 294mm x 165mm
   1920x1080     59.93 +
   1680x1050     59.95    59.88  
   1600x1024     60.17  
   1400x1050     59.98  
   1280x1024     60.02  
   1440x900      59.89  
   1280x960      60.00  
   1360x768      59.80    59.96  
   1152x864      60.00  
   1024x768      60.04*   60.00  
   960x720       60.00  
   928x696       60.05  
   896x672       60.01  
   960x600       60.00  
   960x540       59.99  
   800x600       60.00    60.32    56.25  
   840x525       60.01    59.88  
   800x512       60.17  
   700x525       59.98  
   640x512       60.02  
   720x450       59.89  
   640x480       60.00    59.94  
   680x384       59.80    59.96  
   576x432       60.06  
   512x384       60.00  
   400x300       60.32    56.34  
   320x240       60.05  
DP-1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 509mm x 286mm
   1280x800      59.91  
   1024x768      60.00* 
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94  
   720x400       70.08  
DP-2 disconnected (normal left inverted right x axis y axis)


Any suggestions? Should I reopen this bug report?
Comment 150 Daniele Albrizio 2017-09-06 22:57:46 UTC
(In reply to Daniele Albrizio from comment #149)
> Well, I'm sorry, but new ubuntu kernels did not fix the DA200 behaviour in
> my case (I use a Samsung B523WS monitor and dell XPS 13) i tried

BTW I use a non-dell Ubuntu 17.04
Comment 151 Elizabeth 2017-09-07 17:19:35 UTC
(In reply to Daniele Albrizio from comment #149)
> Any suggestions? Should I reopen this bug report?
Hello Albrizio, if the newer kernel fixed the problem for the others, it may be that you problem is something different. Try with https://cgit.freedesktop.org/drm-tip branch, and try to locate the root-cause for your particular case. If problem persist please open a new bug with HW and SW information and relevant logs. Thank you.
Comment 152 Jani Nikula 2017-09-18 09:03:45 UTC
(In reply to Elizabeth from comment #151)
> (In reply to Daniele Albrizio from comment #149)
> > Any suggestions? Should I reopen this bug report?
> Hello Albrizio, if the newer kernel fixed the problem for the others, it may
> be that you problem is something different. Try with
> https://cgit.freedesktop.org/drm-tip branch, and try to locate the
> root-cause for your particular case. If problem persist please open a new
> bug with HW and SW information and relevant logs. Thank you.

Yup, please file a new bug, don't reopen this one. And please *attach* the logs, in plain text, to the bug, and don't use external pastebins.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.